using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;
using System.Reflection;
using Betfair.Gamex.API.Entities;
using Poker.Classes;

namespace Poker.Controls.GameView
{
	/// <summary>
	/// Summary description for ctlBaccarrat.
	/// </summary>
    public class BaccaratView : Poker.Controls.GameView.GameViewBase, IGameControl
	{
		#region Declarations
		/// <summary> 
		/// Required designer variable.
		/// </summary>
        private Label BankerDescription;
        private Label Exotic4Status;
        private PictureBox ProgressGrey;
        private PictureBox ProgressBar;
		private System.Windows.Forms.Label GameTitleLabel;
		private System.Windows.Forms.Label Round1Label;
		private System.Windows.Forms.Label Round2Label;
		private System.Windows.Forms.Label Round3Label;
		private System.Windows.Forms.Label Round4Label;
        private System.Windows.Forms.Label Round5Label;
		private System.Windows.Forms.Label SuspendedLabel;
		private Poker.Controls.OddsPanel PlayerBack;
		private Poker.Controls.OddsPanel PlayerLay;
        private System.Windows.Forms.Label PlayerStatus;
        private System.Windows.Forms.Label PlayerDescription;
        private System.Windows.Forms.Label Round6Label;
		private System.Windows.Forms.PictureBox PlayerCard3;
		private System.Windows.Forms.PictureBox PlayerCard2;
		private System.Windows.Forms.PictureBox PlayerCard1;
		private System.Windows.Forms.PictureBox BankerCard3;
		private System.Windows.Forms.PictureBox BankerCard2;
        private System.Windows.Forms.PictureBox BankerCard1;
		private Poker.Controls.OddsPanel TieLay;
		private Poker.Controls.OddsPanel TieBack;
		private System.Windows.Forms.Label TieStatus;
		private Poker.Controls.OddsPanel Exotic1Lay;
		private Poker.Controls.OddsPanel Exotic1Back;
		private System.Windows.Forms.Label Exotic1Status;
		private Poker.Controls.OddsPanel Exotic2Lay;
		private Poker.Controls.OddsPanel Exotic2Back;
		private System.Windows.Forms.Label Exotic2Status;
		private Poker.Controls.OddsPanel Exotic3Lay;
		private Poker.Controls.OddsPanel Exotic3Back;
		private System.Windows.Forms.Label Exotic3Status;
		private Poker.Controls.OddsPanel Exotic4Lay;
        private Poker.Controls.OddsPanel Exotic4Back;
		private Poker.Controls.OddsPanel Exotic5Lay;
		private Poker.Controls.OddsPanel Exotic5Back;
		private System.Windows.Forms.Label Exotic5Status;
		private Poker.Controls.OddsPanel BankerLay;
		private Poker.Controls.OddsPanel BankerBack;
		private System.Windows.Forms.Label BankerStatus;

		private channelSnapshot channelSnapshot;
		#endregion

        private int roundId = 0;
        private gameDataObject[] gameData;
        private marketSnapshot market;
        private marketSnapshot secondaryMarket;
        private selectionSnapshot bankerSelection;
        private selectionSnapshot playerSelection;
        private selectionSnapshot tieSelection;
        private selectionSnapshot exoticSelection1;
        private selectionSnapshot exoticSelection2;
        private selectionSnapshot exoticSelection3;
        private selectionSnapshot exoticSelection4;
        private selectionSnapshot exoticSelection5;

        public event ShowBetPlaceHandler ShowBetPlacement;
		public event ClearBetsHandler ClearBets;
		private MainForm m_Parent;

        public BaccaratView(MainForm parent)
		{
			// This call is required by the Windows.Forms Form Designer.
			InitializeComponent();
			m_Parent = parent;
		}

        #region Component Designer generated code
        /// <summary> 
        /// Required method for Designer support - do not modify 
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            System.Windows.Forms.Label PlayerLabel;
            System.Windows.Forms.Label Tie1Label;
            System.Windows.Forms.Label label2;
            System.Windows.Forms.Label label6;
            System.Windows.Forms.Label label9;
            System.Windows.Forms.Label BankerLabel;
            System.Windows.Forms.Label label5;
            System.Windows.Forms.Label label3;
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(BaccaratView));
            this.GameTitleLabel = new System.Windows.Forms.Label();
            this.Round1Label = new System.Windows.Forms.Label();
            this.Round2Label = new System.Windows.Forms.Label();
            this.Round3Label = new System.Windows.Forms.Label();
            this.Round4Label = new System.Windows.Forms.Label();
            this.Round5Label = new System.Windows.Forms.Label();
            this.PlayerStatus = new System.Windows.Forms.Label();
            this.SuspendedLabel = new System.Windows.Forms.Label();
            this.PlayerDescription = new System.Windows.Forms.Label();
            this.TieStatus = new System.Windows.Forms.Label();
            this.Exotic1Status = new System.Windows.Forms.Label();
            this.Exotic2Status = new System.Windows.Forms.Label();
            this.Exotic3Status = new System.Windows.Forms.Label();
            this.Round6Label = new System.Windows.Forms.Label();
            this.PlayerCard3 = new System.Windows.Forms.PictureBox();
            this.PlayerCard2 = new System.Windows.Forms.PictureBox();
            this.PlayerCard1 = new System.Windows.Forms.PictureBox();
            this.BankerCard3 = new System.Windows.Forms.PictureBox();
            this.BankerCard2 = new System.Windows.Forms.PictureBox();
            this.BankerCard1 = new System.Windows.Forms.PictureBox();
            this.Exotic5Status = new System.Windows.Forms.Label();
            this.BankerStatus = new System.Windows.Forms.Label();
            this.BankerDescription = new System.Windows.Forms.Label();
            this.Exotic4Status = new System.Windows.Forms.Label();
            this.BankerLay = new Poker.Controls.OddsPanel();
            this.BankerBack = new Poker.Controls.OddsPanel();
            this.PlayerLay = new Poker.Controls.OddsPanel();
            this.PlayerBack = new Poker.Controls.OddsPanel();
            this.Exotic5Lay = new Poker.Controls.OddsPanel();
            this.Exotic5Back = new Poker.Controls.OddsPanel();
            this.Exotic4Lay = new Poker.Controls.OddsPanel();
            this.Exotic4Back = new Poker.Controls.OddsPanel();
            this.Exotic3Lay = new Poker.Controls.OddsPanel();
            this.Exotic3Back = new Poker.Controls.OddsPanel();
            this.Exotic2Lay = new Poker.Controls.OddsPanel();
            this.Exotic2Back = new Poker.Controls.OddsPanel();
            this.Exotic1Lay = new Poker.Controls.OddsPanel();
            this.Exotic1Back = new Poker.Controls.OddsPanel();
            this.TieLay = new Poker.Controls.OddsPanel();
            this.TieBack = new Poker.Controls.OddsPanel();
            this.ProgressGrey = new System.Windows.Forms.PictureBox();
            this.ProgressBar = new System.Windows.Forms.PictureBox();
            PlayerLabel = new System.Windows.Forms.Label();
            Tie1Label = new System.Windows.Forms.Label();
            label2 = new System.Windows.Forms.Label();
            label6 = new System.Windows.Forms.Label();
            label9 = new System.Windows.Forms.Label();
            BankerLabel = new System.Windows.Forms.Label();
            label5 = new System.Windows.Forms.Label();
            label3 = new System.Windows.Forms.Label();
            ((System.ComponentModel.ISupportInitialize)(this.PlayerCard3)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.PlayerCard2)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.PlayerCard1)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.BankerCard3)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.BankerCard2)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.BankerCard1)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.ProgressGrey)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.ProgressBar)).BeginInit();
            this.SuspendLayout();
            // 
            // PlayerLabel
            // 
            PlayerLabel.BackColor = System.Drawing.Color.White;
            PlayerLabel.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            PlayerLabel.ForeColor = System.Drawing.Color.RoyalBlue;
            PlayerLabel.Location = new System.Drawing.Point(6, 110);
            PlayerLabel.Name = "PlayerLabel";
            PlayerLabel.Size = new System.Drawing.Size(64, 14);
            PlayerLabel.TabIndex = 22;
            PlayerLabel.Text = "Player";
            PlayerLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // Tie1Label
            // 
            Tie1Label.BackColor = System.Drawing.Color.White;
            Tie1Label.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Bold);
            Tie1Label.ForeColor = System.Drawing.Color.RoyalBlue;
            Tie1Label.Location = new System.Drawing.Point(125, 155);
            Tie1Label.Name = "Tie1Label";
            Tie1Label.Size = new System.Drawing.Size(64, 14);
            Tie1Label.TabIndex = 62;
            Tie1Label.Text = "The Tie";
            Tie1Label.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // label2
            // 
            label2.BackColor = System.Drawing.Color.Transparent;
            label2.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            label2.ForeColor = System.Drawing.Color.RoyalBlue;
            label2.Location = new System.Drawing.Point(119, 214);
            label2.Name = "label2";
            label2.Size = new System.Drawing.Size(148, 16);
            label2.TabIndex = 67;
            label2.Text = "Pocket Pair In Any Hand";
            label2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label6
            // 
            label6.BackColor = System.Drawing.Color.Transparent;
            label6.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            label6.ForeColor = System.Drawing.Color.RoyalBlue;
            label6.Location = new System.Drawing.Point(119, 247);
            label6.Name = "label6";
            label6.Size = new System.Drawing.Size(146, 16);
            label6.TabIndex = 72;
            label6.Text = "Highest Hand Has Nine";
            label6.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label9
            // 
            label9.BackColor = System.Drawing.Color.Transparent;
            label9.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            label9.ForeColor = System.Drawing.Color.RoyalBlue;
            label9.Location = new System.Drawing.Point(119, 281);
            label9.Name = "label9";
            label9.Size = new System.Drawing.Size(145, 16);
            label9.TabIndex = 77;
            label9.Text = "Highest Hand Is Odd";
            label9.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // BankerLabel
            // 
            BankerLabel.BackColor = System.Drawing.Color.White;
            BankerLabel.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            BankerLabel.ForeColor = System.Drawing.Color.Red;
            BankerLabel.Location = new System.Drawing.Point(249, 110);
            BankerLabel.Name = "BankerLabel";
            BankerLabel.Size = new System.Drawing.Size(64, 15);
            BankerLabel.TabIndex = 86;
            BankerLabel.Text = "Banker";
            BankerLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // label5
            // 
            label5.BackColor = System.Drawing.Color.Transparent;
            label5.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            label5.ForeColor = System.Drawing.Color.RoyalBlue;
            label5.Location = new System.Drawing.Point(119, 348);
            label5.Name = "label5";
            label5.Size = new System.Drawing.Size(144, 16);
            label5.TabIndex = 100;
            label5.Text = "Natural Tie";
            label5.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label3
            // 
            label3.BackColor = System.Drawing.Color.Transparent;
            label3.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            label3.ForeColor = System.Drawing.Color.RoyalBlue;
            label3.Location = new System.Drawing.Point(119, 314);
            label3.Name = "label3";
            label3.Size = new System.Drawing.Size(146, 16);
            label3.TabIndex = 96;
            label3.Text = "Natural Win";
            label3.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // GameTitleLabel
            // 
            this.GameTitleLabel.BackColor = System.Drawing.Color.Transparent;
            this.GameTitleLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.GameTitleLabel.ForeColor = System.Drawing.Color.Black;
            this.GameTitleLabel.Location = new System.Drawing.Point(6, 6);
            this.GameTitleLabel.Name = "GameTitleLabel";
            this.GameTitleLabel.Size = new System.Drawing.Size(280, 16);
            this.GameTitleLabel.TabIndex = 13;
            this.GameTitleLabel.Text = "Loading Exchange Baccarrat game...";
            // 
            // Round1Label
            // 
            this.Round1Label.BackColor = System.Drawing.Color.Transparent;
            this.Round1Label.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Round1Label.ForeColor = System.Drawing.Color.Black;
            this.Round1Label.Location = new System.Drawing.Point(194, 17);
            this.Round1Label.Name = "Round1Label";
            this.Round1Label.Size = new System.Drawing.Size(48, 16);
            this.Round1Label.TabIndex = 14;
            this.Round1Label.Text = "Round 1";
            this.Round1Label.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // Round2Label
            // 
            this.Round2Label.BackColor = System.Drawing.Color.Transparent;
            this.Round2Label.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Round2Label.ForeColor = System.Drawing.Color.Black;
            this.Round2Label.Location = new System.Drawing.Point(194, 33);
            this.Round2Label.Name = "Round2Label";
            this.Round2Label.Size = new System.Drawing.Size(48, 11);
            this.Round2Label.TabIndex = 15;
            this.Round2Label.Text = "Round 2";
            this.Round2Label.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // Round3Label
            // 
            this.Round3Label.BackColor = System.Drawing.Color.Transparent;
            this.Round3Label.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Round3Label.ForeColor = System.Drawing.Color.Black;
            this.Round3Label.Location = new System.Drawing.Point(194, 47);
            this.Round3Label.Name = "Round3Label";
            this.Round3Label.Size = new System.Drawing.Size(48, 11);
            this.Round3Label.TabIndex = 16;
            this.Round3Label.Text = "Round 3";
            this.Round3Label.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // Round4Label
            // 
            this.Round4Label.BackColor = System.Drawing.Color.Transparent;
            this.Round4Label.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Round4Label.ForeColor = System.Drawing.Color.Black;
            this.Round4Label.Location = new System.Drawing.Point(194, 61);
            this.Round4Label.Name = "Round4Label";
            this.Round4Label.Size = new System.Drawing.Size(48, 11);
            this.Round4Label.TabIndex = 17;
            this.Round4Label.Text = "Round 4";
            this.Round4Label.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // Round5Label
            // 
            this.Round5Label.BackColor = System.Drawing.Color.Transparent;
            this.Round5Label.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Round5Label.ForeColor = System.Drawing.Color.Black;
            this.Round5Label.Location = new System.Drawing.Point(194, 74);
            this.Round5Label.Name = "Round5Label";
            this.Round5Label.Size = new System.Drawing.Size(48, 11);
            this.Round5Label.TabIndex = 18;
            this.Round5Label.Text = "Round 5";
            this.Round5Label.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // PlayerStatus
            // 
            this.PlayerStatus.BackColor = System.Drawing.Color.Green;
            this.PlayerStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.PlayerStatus.ForeColor = System.Drawing.Color.White;
            this.PlayerStatus.Location = new System.Drawing.Point(6, 125);
            this.PlayerStatus.Name = "PlayerStatus";
            this.PlayerStatus.Size = new System.Drawing.Size(64, 14);
            this.PlayerStatus.TabIndex = 23;
            this.PlayerStatus.Text = "Active";
            this.PlayerStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // SuspendedLabel
            // 
            this.SuspendedLabel.BackColor = System.Drawing.Color.LightPink;
            this.SuspendedLabel.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.SuspendedLabel.Font = new System.Drawing.Font("Tahoma", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.SuspendedLabel.ForeColor = System.Drawing.Color.Black;
            this.SuspendedLabel.Location = new System.Drawing.Point(146, 183);
            this.SuspendedLabel.Name = "SuspendedLabel";
            this.SuspendedLabel.Size = new System.Drawing.Size(132, 27);
            this.SuspendedLabel.TabIndex = 30;
            this.SuspendedLabel.Text = "Suspended...";
            this.SuspendedLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // PlayerDescription
            // 
            this.PlayerDescription.BackColor = System.Drawing.Color.Transparent;
            this.PlayerDescription.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.PlayerDescription.ForeColor = System.Drawing.Color.Black;
            this.PlayerDescription.Location = new System.Drawing.Point(7, 94);
            this.PlayerDescription.Name = "PlayerDescription";
            this.PlayerDescription.Size = new System.Drawing.Size(124, 10);
            this.PlayerDescription.TabIndex = 41;
            this.PlayerDescription.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // TieStatus
            // 
            this.TieStatus.BackColor = System.Drawing.Color.Green;
            this.TieStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.TieStatus.ForeColor = System.Drawing.Color.White;
            this.TieStatus.Location = new System.Drawing.Point(125, 170);
            this.TieStatus.Name = "TieStatus";
            this.TieStatus.Size = new System.Drawing.Size(64, 14);
            this.TieStatus.TabIndex = 58;
            this.TieStatus.Text = "Active";
            this.TieStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // Exotic1Status
            // 
            this.Exotic1Status.BackColor = System.Drawing.Color.Green;
            this.Exotic1Status.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Exotic1Status.ForeColor = System.Drawing.Color.White;
            this.Exotic1Status.Location = new System.Drawing.Point(61, 215);
            this.Exotic1Status.Name = "Exotic1Status";
            this.Exotic1Status.Size = new System.Drawing.Size(56, 14);
            this.Exotic1Status.TabIndex = 63;
            this.Exotic1Status.Text = "Active";
            this.Exotic1Status.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // Exotic2Status
            // 
            this.Exotic2Status.BackColor = System.Drawing.Color.Green;
            this.Exotic2Status.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Exotic2Status.ForeColor = System.Drawing.Color.White;
            this.Exotic2Status.Location = new System.Drawing.Point(61, 249);
            this.Exotic2Status.Name = "Exotic2Status";
            this.Exotic2Status.Size = new System.Drawing.Size(56, 14);
            this.Exotic2Status.TabIndex = 68;
            this.Exotic2Status.Text = "Active";
            this.Exotic2Status.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // Exotic3Status
            // 
            this.Exotic3Status.BackColor = System.Drawing.Color.Green;
            this.Exotic3Status.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Exotic3Status.ForeColor = System.Drawing.Color.White;
            this.Exotic3Status.Location = new System.Drawing.Point(61, 282);
            this.Exotic3Status.Name = "Exotic3Status";
            this.Exotic3Status.Size = new System.Drawing.Size(56, 14);
            this.Exotic3Status.TabIndex = 73;
            this.Exotic3Status.Text = "Active";
            this.Exotic3Status.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // Round6Label
            // 
            this.Round6Label.BackColor = System.Drawing.Color.Transparent;
            this.Round6Label.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Round6Label.ForeColor = System.Drawing.Color.Black;
            this.Round6Label.Location = new System.Drawing.Point(194, 87);
            this.Round6Label.Name = "Round6Label";
            this.Round6Label.Size = new System.Drawing.Size(48, 11);
            this.Round6Label.TabIndex = 78;
            this.Round6Label.Text = "Round 6";
            this.Round6Label.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // PlayerCard3
            // 
            this.PlayerCard3.BackColor = System.Drawing.Color.White;
            this.PlayerCard3.Image = ((System.Drawing.Image)(resources.GetObject("PlayerCard3.Image")));
            this.PlayerCard3.Location = new System.Drawing.Point(100, 33);
            this.PlayerCard3.Name = "PlayerCard3";
            this.PlayerCard3.Size = new System.Drawing.Size(44, 60);
            this.PlayerCard3.TabIndex = 89;
            this.PlayerCard3.TabStop = false;
            this.PlayerCard3.Visible = false;
            // 
            // PlayerCard2
            // 
            this.PlayerCard2.BackColor = System.Drawing.Color.White;
            this.PlayerCard2.Image = ((System.Drawing.Image)(resources.GetObject("PlayerCard2.Image")));
            this.PlayerCard2.Location = new System.Drawing.Point(53, 33);
            this.PlayerCard2.Name = "PlayerCard2";
            this.PlayerCard2.Size = new System.Drawing.Size(44, 60);
            this.PlayerCard2.TabIndex = 88;
            this.PlayerCard2.TabStop = false;
            // 
            // PlayerCard1
            // 
            this.PlayerCard1.BackColor = System.Drawing.Color.White;
            this.PlayerCard1.Image = ((System.Drawing.Image)(resources.GetObject("PlayerCard1.Image")));
            this.PlayerCard1.Location = new System.Drawing.Point(6, 33);
            this.PlayerCard1.Name = "PlayerCard1";
            this.PlayerCard1.Size = new System.Drawing.Size(44, 60);
            this.PlayerCard1.TabIndex = 87;
            this.PlayerCard1.TabStop = false;
            // 
            // BankerCard3
            // 
            this.BankerCard3.BackColor = System.Drawing.Color.White;
            this.BankerCard3.Image = ((System.Drawing.Image)(resources.GetObject("BankerCard3.Image")));
            this.BankerCard3.Location = new System.Drawing.Point(343, 33);
            this.BankerCard3.Name = "BankerCard3";
            this.BankerCard3.Size = new System.Drawing.Size(44, 60);
            this.BankerCard3.TabIndex = 92;
            this.BankerCard3.TabStop = false;
            this.BankerCard3.Visible = false;
            // 
            // BankerCard2
            // 
            this.BankerCard2.BackColor = System.Drawing.Color.White;
            this.BankerCard2.Image = ((System.Drawing.Image)(resources.GetObject("BankerCard2.Image")));
            this.BankerCard2.Location = new System.Drawing.Point(296, 33);
            this.BankerCard2.Name = "BankerCard2";
            this.BankerCard2.Size = new System.Drawing.Size(44, 60);
            this.BankerCard2.TabIndex = 91;
            this.BankerCard2.TabStop = false;
            // 
            // BankerCard1
            // 
            this.BankerCard1.BackColor = System.Drawing.Color.White;
            this.BankerCard1.Image = ((System.Drawing.Image)(resources.GetObject("BankerCard1.Image")));
            this.BankerCard1.Location = new System.Drawing.Point(249, 33);
            this.BankerCard1.Name = "BankerCard1";
            this.BankerCard1.Size = new System.Drawing.Size(44, 60);
            this.BankerCard1.TabIndex = 90;
            this.BankerCard1.TabStop = false;
            // 
            // Exotic5Status
            // 
            this.Exotic5Status.BackColor = System.Drawing.Color.Green;
            this.Exotic5Status.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Exotic5Status.ForeColor = System.Drawing.Color.White;
            this.Exotic5Status.Location = new System.Drawing.Point(61, 349);
            this.Exotic5Status.Name = "Exotic5Status";
            this.Exotic5Status.Size = new System.Drawing.Size(56, 14);
            this.Exotic5Status.TabIndex = 97;
            this.Exotic5Status.Text = "Active";
            this.Exotic5Status.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // BankerStatus
            // 
            this.BankerStatus.BackColor = System.Drawing.Color.Green;
            this.BankerStatus.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.BankerStatus.ForeColor = System.Drawing.Color.White;
            this.BankerStatus.Location = new System.Drawing.Point(249, 126);
            this.BankerStatus.Name = "BankerStatus";
            this.BankerStatus.Size = new System.Drawing.Size(64, 14);
            this.BankerStatus.TabIndex = 103;
            this.BankerStatus.Text = "Active";
            this.BankerStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // BankerDescription
            // 
            this.BankerDescription.BackColor = System.Drawing.Color.Transparent;
            this.BankerDescription.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.BankerDescription.ForeColor = System.Drawing.Color.Black;
            this.BankerDescription.Location = new System.Drawing.Point(249, 94);
            this.BankerDescription.Name = "BankerDescription";
            this.BankerDescription.Size = new System.Drawing.Size(124, 10);
            this.BankerDescription.TabIndex = 104;
            // 
            // Exotic4Status
            // 
            this.Exotic4Status.BackColor = System.Drawing.Color.Green;
            this.Exotic4Status.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Exotic4Status.ForeColor = System.Drawing.Color.White;
            this.Exotic4Status.Location = new System.Drawing.Point(61, 315);
            this.Exotic4Status.Name = "Exotic4Status";
            this.Exotic4Status.Size = new System.Drawing.Size(56, 14);
            this.Exotic4Status.TabIndex = 93;
            this.Exotic4Status.Text = "Active";
            this.Exotic4Status.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // BankerLay
            // 
            this.BankerLay.Available = 0;
            this.BankerLay.Back = false;
            this.BankerLay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("BankerLay.BackgroundImage")));
            this.BankerLay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.BankerLay.Eliminated = false;
            this.BankerLay.ForeColor = System.Drawing.Color.Black;
            this.BankerLay.Location = new System.Drawing.Point(367, 110);
            this.BankerLay.MarketID = 0;
            this.BankerLay.Name = "BankerLay";
            this.BankerLay.Price = 0;
            this.BankerLay.Size = new System.Drawing.Size(50, 35);
            this.BankerLay.TabIndex = 102;
            this.BankerLay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // BankerBack
            // 
            this.BankerBack.Available = 0;
            this.BankerBack.Back = true;
            this.BankerBack.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("BankerBack.BackgroundImage")));
            this.BankerBack.Cursor = System.Windows.Forms.Cursors.Hand;
            this.BankerBack.Eliminated = false;
            this.BankerBack.ForeColor = System.Drawing.Color.Black;
            this.BankerBack.Location = new System.Drawing.Point(319, 110);
            this.BankerBack.MarketID = 0;
            this.BankerBack.Name = "BankerBack";
            this.BankerBack.Price = 0;
            this.BankerBack.Size = new System.Drawing.Size(50, 35);
            this.BankerBack.TabIndex = 101;
            this.BankerBack.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // PlayerLay
            // 
            this.PlayerLay.Available = 0;
            this.PlayerLay.Back = false;
            this.PlayerLay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("PlayerLay.BackgroundImage")));
            this.PlayerLay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.PlayerLay.Eliminated = false;
            this.PlayerLay.ForeColor = System.Drawing.Color.Black;
            this.PlayerLay.Location = new System.Drawing.Point(124, 110);
            this.PlayerLay.MarketID = 0;
            this.PlayerLay.Name = "PlayerLay";
            this.PlayerLay.Price = 0;
            this.PlayerLay.Size = new System.Drawing.Size(50, 35);
            this.PlayerLay.TabIndex = 35;
            this.PlayerLay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // PlayerBack
            // 
            this.PlayerBack.Available = 0;
            this.PlayerBack.Back = true;
            this.PlayerBack.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("PlayerBack.BackgroundImage")));
            this.PlayerBack.Cursor = System.Windows.Forms.Cursors.Hand;
            this.PlayerBack.Eliminated = false;
            this.PlayerBack.ForeColor = System.Drawing.Color.Black;
            this.PlayerBack.Location = new System.Drawing.Point(76, 110);
            this.PlayerBack.MarketID = 0;
            this.PlayerBack.Name = "PlayerBack";
            this.PlayerBack.Price = 0;
            this.PlayerBack.Size = new System.Drawing.Size(50, 35);
            this.PlayerBack.TabIndex = 31;
            this.PlayerBack.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Exotic5Lay
            // 
            this.Exotic5Lay.Available = 0;
            this.Exotic5Lay.Back = false;
            this.Exotic5Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Exotic5Lay.BackgroundImage")));
            this.Exotic5Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Exotic5Lay.Eliminated = false;
            this.Exotic5Lay.ForeColor = System.Drawing.Color.Black;
            this.Exotic5Lay.Location = new System.Drawing.Point(315, 340);
            this.Exotic5Lay.MarketID = 0;
            this.Exotic5Lay.Name = "Exotic5Lay";
            this.Exotic5Lay.Price = 0;
            this.Exotic5Lay.Size = new System.Drawing.Size(50, 35);
            this.Exotic5Lay.TabIndex = 99;
            this.Exotic5Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Exotic5Back
            // 
            this.Exotic5Back.Available = 0;
            this.Exotic5Back.Back = true;
            this.Exotic5Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Exotic5Back.BackgroundImage")));
            this.Exotic5Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Exotic5Back.Eliminated = false;
            this.Exotic5Back.ForeColor = System.Drawing.Color.Black;
            this.Exotic5Back.Location = new System.Drawing.Point(267, 340);
            this.Exotic5Back.MarketID = 0;
            this.Exotic5Back.Name = "Exotic5Back";
            this.Exotic5Back.Price = 0;
            this.Exotic5Back.Size = new System.Drawing.Size(50, 35);
            this.Exotic5Back.TabIndex = 98;
            this.Exotic5Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Exotic4Lay
            // 
            this.Exotic4Lay.Available = 0;
            this.Exotic4Lay.Back = false;
            this.Exotic4Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Exotic4Lay.BackgroundImage")));
            this.Exotic4Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Exotic4Lay.Eliminated = false;
            this.Exotic4Lay.ForeColor = System.Drawing.Color.Black;
            this.Exotic4Lay.Location = new System.Drawing.Point(315, 306);
            this.Exotic4Lay.MarketID = 0;
            this.Exotic4Lay.Name = "Exotic4Lay";
            this.Exotic4Lay.Price = 0;
            this.Exotic4Lay.Size = new System.Drawing.Size(50, 35);
            this.Exotic4Lay.TabIndex = 95;
            this.Exotic4Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Exotic4Back
            // 
            this.Exotic4Back.Available = 0;
            this.Exotic4Back.Back = true;
            this.Exotic4Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Exotic4Back.BackgroundImage")));
            this.Exotic4Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Exotic4Back.Eliminated = false;
            this.Exotic4Back.ForeColor = System.Drawing.Color.Black;
            this.Exotic4Back.Location = new System.Drawing.Point(267, 306);
            this.Exotic4Back.MarketID = 0;
            this.Exotic4Back.Name = "Exotic4Back";
            this.Exotic4Back.Price = 0;
            this.Exotic4Back.Size = new System.Drawing.Size(50, 35);
            this.Exotic4Back.TabIndex = 94;
            this.Exotic4Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Exotic3Lay
            // 
            this.Exotic3Lay.Available = 0;
            this.Exotic3Lay.Back = false;
            this.Exotic3Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Exotic3Lay.BackgroundImage")));
            this.Exotic3Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Exotic3Lay.Eliminated = false;
            this.Exotic3Lay.ForeColor = System.Drawing.Color.Black;
            this.Exotic3Lay.Location = new System.Drawing.Point(315, 272);
            this.Exotic3Lay.MarketID = 0;
            this.Exotic3Lay.Name = "Exotic3Lay";
            this.Exotic3Lay.Price = 0;
            this.Exotic3Lay.Size = new System.Drawing.Size(50, 35);
            this.Exotic3Lay.TabIndex = 75;
            this.Exotic3Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Exotic3Back
            // 
            this.Exotic3Back.Available = 0;
            this.Exotic3Back.Back = true;
            this.Exotic3Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Exotic3Back.BackgroundImage")));
            this.Exotic3Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Exotic3Back.Eliminated = false;
            this.Exotic3Back.ForeColor = System.Drawing.Color.Black;
            this.Exotic3Back.Location = new System.Drawing.Point(267, 272);
            this.Exotic3Back.MarketID = 0;
            this.Exotic3Back.Name = "Exotic3Back";
            this.Exotic3Back.Price = 0;
            this.Exotic3Back.Size = new System.Drawing.Size(50, 35);
            this.Exotic3Back.TabIndex = 74;
            this.Exotic3Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Exotic2Lay
            // 
            this.Exotic2Lay.Available = 0;
            this.Exotic2Lay.Back = false;
            this.Exotic2Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Exotic2Lay.BackgroundImage")));
            this.Exotic2Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Exotic2Lay.Eliminated = false;
            this.Exotic2Lay.ForeColor = System.Drawing.Color.Black;
            this.Exotic2Lay.Location = new System.Drawing.Point(315, 238);
            this.Exotic2Lay.MarketID = 0;
            this.Exotic2Lay.Name = "Exotic2Lay";
            this.Exotic2Lay.Price = 0;
            this.Exotic2Lay.Size = new System.Drawing.Size(50, 35);
            this.Exotic2Lay.TabIndex = 70;
            this.Exotic2Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Exotic2Back
            // 
            this.Exotic2Back.Available = 0;
            this.Exotic2Back.Back = true;
            this.Exotic2Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Exotic2Back.BackgroundImage")));
            this.Exotic2Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Exotic2Back.Eliminated = false;
            this.Exotic2Back.ForeColor = System.Drawing.Color.Black;
            this.Exotic2Back.Location = new System.Drawing.Point(267, 238);
            this.Exotic2Back.MarketID = 0;
            this.Exotic2Back.Name = "Exotic2Back";
            this.Exotic2Back.Price = 0;
            this.Exotic2Back.Size = new System.Drawing.Size(50, 35);
            this.Exotic2Back.TabIndex = 69;
            this.Exotic2Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Exotic1Lay
            // 
            this.Exotic1Lay.Available = 0;
            this.Exotic1Lay.Back = false;
            this.Exotic1Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Exotic1Lay.BackgroundImage")));
            this.Exotic1Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Exotic1Lay.Eliminated = false;
            this.Exotic1Lay.ForeColor = System.Drawing.Color.Black;
            this.Exotic1Lay.Location = new System.Drawing.Point(315, 204);
            this.Exotic1Lay.MarketID = 0;
            this.Exotic1Lay.Name = "Exotic1Lay";
            this.Exotic1Lay.Price = 0;
            this.Exotic1Lay.Size = new System.Drawing.Size(50, 35);
            this.Exotic1Lay.TabIndex = 65;
            this.Exotic1Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Exotic1Back
            // 
            this.Exotic1Back.Available = 0;
            this.Exotic1Back.Back = true;
            this.Exotic1Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Exotic1Back.BackgroundImage")));
            this.Exotic1Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Exotic1Back.Eliminated = false;
            this.Exotic1Back.ForeColor = System.Drawing.Color.Black;
            this.Exotic1Back.Location = new System.Drawing.Point(267, 204);
            this.Exotic1Back.MarketID = 0;
            this.Exotic1Back.Name = "Exotic1Back";
            this.Exotic1Back.Price = 0;
            this.Exotic1Back.Size = new System.Drawing.Size(50, 35);
            this.Exotic1Back.TabIndex = 64;
            this.Exotic1Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // TieLay
            // 
            this.TieLay.Available = 0;
            this.TieLay.Back = false;
            this.TieLay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("TieLay.BackgroundImage")));
            this.TieLay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.TieLay.Eliminated = false;
            this.TieLay.ForeColor = System.Drawing.Color.Black;
            this.TieLay.Location = new System.Drawing.Point(243, 155);
            this.TieLay.MarketID = 0;
            this.TieLay.Name = "TieLay";
            this.TieLay.Price = 0;
            this.TieLay.Size = new System.Drawing.Size(50, 35);
            this.TieLay.TabIndex = 60;
            this.TieLay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // TieBack
            // 
            this.TieBack.Available = 0;
            this.TieBack.Back = true;
            this.TieBack.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("TieBack.BackgroundImage")));
            this.TieBack.Cursor = System.Windows.Forms.Cursors.Hand;
            this.TieBack.Eliminated = false;
            this.TieBack.ForeColor = System.Drawing.Color.Black;
            this.TieBack.Location = new System.Drawing.Point(195, 155);
            this.TieBack.MarketID = 0;
            this.TieBack.Name = "TieBack";
            this.TieBack.Price = 0;
            this.TieBack.Size = new System.Drawing.Size(50, 35);
            this.TieBack.TabIndex = 59;
            this.TieBack.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // ProgressGrey
            // 
            this.ProgressGrey.Image = ((System.Drawing.Image)(resources.GetObject("ProgressGrey.Image")));
            this.ProgressGrey.Location = new System.Drawing.Point(181, 26);
            this.ProgressGrey.Name = "ProgressGrey";
            this.ProgressGrey.Size = new System.Drawing.Size(7, 0);
            this.ProgressGrey.TabIndex = 106;
            this.ProgressGrey.TabStop = false;
            // 
            // ProgressBar
            // 
            this.ProgressBar.Image = ((System.Drawing.Image)(resources.GetObject("ProgressBar.Image")));
            this.ProgressBar.Location = new System.Drawing.Point(181, 26);
            this.ProgressBar.Name = "ProgressBar";
            this.ProgressBar.Size = new System.Drawing.Size(7, 63);
            this.ProgressBar.TabIndex = 105;
            this.ProgressBar.TabStop = false;
            // 
            // BaccaratView
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.BackColor = System.Drawing.SystemColors.Control;
            this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
            this.Controls.Add(this.ProgressGrey);
            this.Controls.Add(this.ProgressBar);
            this.Controls.Add(this.BankerDescription);
            this.Controls.Add(this.BankerStatus);
            this.Controls.Add(this.BankerLay);
            this.Controls.Add(this.BankerBack);
            this.Controls.Add(this.Exotic5Status);
            this.Controls.Add(this.Exotic4Status);
            this.Controls.Add(BankerLabel);
            this.Controls.Add(this.Round6Label);
            this.Controls.Add(this.Exotic3Status);
            this.Controls.Add(this.Exotic2Status);
            this.Controls.Add(this.Exotic1Status);
            this.Controls.Add(this.TieStatus);
            this.Controls.Add(this.SuspendedLabel);
            this.Controls.Add(this.PlayerStatus);
            this.Controls.Add(PlayerLabel);
            this.Controls.Add(this.Round5Label);
            this.Controls.Add(this.Round4Label);
            this.Controls.Add(this.Round3Label);
            this.Controls.Add(this.Round2Label);
            this.Controls.Add(this.Round1Label);
            this.Controls.Add(this.GameTitleLabel);
            this.Controls.Add(this.PlayerDescription);
            this.Controls.Add(this.BankerCard3);
            this.Controls.Add(this.BankerCard2);
            this.Controls.Add(this.BankerCard1);
            this.Controls.Add(this.PlayerCard3);
            this.Controls.Add(this.PlayerCard2);
            this.Controls.Add(this.PlayerCard1);
            this.Controls.Add(this.PlayerLay);
            this.Controls.Add(this.PlayerBack);
            this.Controls.Add(label5);
            this.Controls.Add(this.Exotic5Lay);
            this.Controls.Add(this.Exotic5Back);
            this.Controls.Add(label3);
            this.Controls.Add(this.Exotic4Lay);
            this.Controls.Add(this.Exotic4Back);
            this.Controls.Add(label9);
            this.Controls.Add(this.Exotic3Lay);
            this.Controls.Add(this.Exotic3Back);
            this.Controls.Add(label6);
            this.Controls.Add(this.Exotic2Lay);
            this.Controls.Add(this.Exotic2Back);
            this.Controls.Add(label2);
            this.Controls.Add(this.Exotic1Lay);
            this.Controls.Add(this.Exotic1Back);
            this.Controls.Add(Tie1Label);
            this.Controls.Add(this.TieLay);
            this.Controls.Add(this.TieBack);
            this.Location = new System.Drawing.Point(-1, 40);
            this.Name = "BaccaratView";
            this.Size = new System.Drawing.Size(425, 392);
            ((System.ComponentModel.ISupportInitialize)(this.PlayerCard3)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.PlayerCard2)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.PlayerCard1)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.BankerCard3)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.BankerCard2)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.BankerCard1)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.ProgressGrey)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.ProgressBar)).EndInit();
            this.ResumeLayout(false);

        }
        #endregion

        /// <summary>
        /// Updates all the game data in the panel
        /// </summary>
        public channelSnapshot CurrentChannelSnapshot
        {
            get
            {
                return channelSnapshot;
            }
            set
            {
                channelSnapshot = value;
                _UpdateDisplay();
            }
        }

		private void _UpdateDisplay() 
		{
            // make things easier
            gameData = channelSnapshot.channel.game.gameData;
            market = channelSnapshot.channel.game.markets.market[0];
            secondaryMarket = channelSnapshot.channel.game.markets.market[1];

            if (market.selections.selection == null)
            {
                return;
            }

            playerSelection = market.selections.selection[0];
            bankerSelection = market.selections.selection[1];
            tieSelection = market.selections.selection[2];
            exoticSelection1 = secondaryMarket.selections.selection[0];
            exoticSelection2 = secondaryMarket.selections.selection[1];
            exoticSelection3 = secondaryMarket.selections.selection[2];
            exoticSelection4 = secondaryMarket.selections.selection[3];
            exoticSelection5 = secondaryMarket.selections.selection[4];

            // only do some painting once
            if (roundId != channelSnapshot.channel.game.round)
            {
                _PaintGameInfoOnce();
                _PaintCardsOnce();
                _PaintMarketDataOnce();
            }

            if (channelSnapshot.channel.game.markets.market[0].status == marketStatusEnum.ACTIVE)
            {
                roundId = channelSnapshot.channel.game.round;
            }

            UpdateProgressBar(channelSnapshot, ProgressGrey, ProgressBar);
            _PaintMarketData();
		}

        private void _PaintGameInfoOnce()
        {
            //set title
            GameTitleLabel.Text = channelSnapshot.channel.name;

            //set round
            _SetRound();
        }

        private void _PaintCardsOnce()
        {
            Image cardBack = GetCardResourceImage(null, false);

            if (channelSnapshot.channel.game.round == 1)
            {
                PlayerCard1.Image = cardBack;
                BankerCard1.Image = cardBack;
                PlayerCard2.Image = cardBack;
                BankerCard2.Image = cardBack;
                PlayerCard3.Image = cardBack;
                BankerCard3.Image = cardBack;

                PlayerCard3.Visible = false;
                BankerCard3.Visible = false;
            }

            if (channelSnapshot.channel.game.gameData.Length > 2)
            {
                if (gameData[0].property.Length > 0)
                {
                    PlayerCard1.Image = GetCardResourceImage(gameData[0].property[0].value, true);
                    if (gameData[0].property.Length > 1)
                    {
                        PlayerCard2.Image = GetCardResourceImage(gameData[0].property[1].value, true);
                    }
                    if (gameData[0].property.Length > 2)
                    {
                        PlayerCard3.Visible = true;
                        PlayerCard3.Image = GetCardResourceImage(gameData[0].property[2].value, true);
                    }
                }

                if (gameData[1].property.Length > 0)
                {
                    BankerCard1.Image = GetCardResourceImage(gameData[1].property[0].value, true);
                    if (gameData[1].property.Length > 1)
                    {
                        BankerCard2.Image = GetCardResourceImage(gameData[1].property[1].value, true);
                    }
                    if (gameData[1].property.Length > 2)
                    {
                        BankerCard3.Visible = true;
                        BankerCard3.Image = GetCardResourceImage(gameData[1].property[2].value, true);
                    }
                }
            }
        }

        private void _PaintMarketDataOnce()
        {
            SetPlayerStatus(playerSelection.status, PlayerStatus, PlayerBack, PlayerLay);
            SetPlayerStatus(bankerSelection.status, BankerStatus, BankerBack, BankerLay);
            SetPlayerStatus(tieSelection.status, TieStatus, TieBack, TieLay);

            SetPlayerStatus(exoticSelection1.status, Exotic1Status, Exotic1Back, Exotic1Lay);
            SetPlayerStatus(exoticSelection2.status, Exotic2Status, Exotic2Back, Exotic2Lay);
            SetPlayerStatus(exoticSelection3.status, Exotic3Status, Exotic3Back, Exotic3Lay);
            SetPlayerStatus(exoticSelection4.status, Exotic4Status, Exotic4Back, Exotic4Lay);
            SetPlayerStatus(exoticSelection5.status, Exotic5Status, Exotic5Back, Exotic5Lay);

            SetPlayerDescription(gameData[0].description, PlayerDescription);
            SetPlayerDescription(gameData[1].description, BankerDescription);
        }

        private void _PaintMarketData()
        {
            // Check if the market is active.  If not then we need to clear all the bets
            if (market.status != marketStatusEnum.ACTIVE)
            {
                _ToggleBetLayPanels(false);
                ClearBets();

                if (SuspendedLabel.Visible == false)
                {
                    SuspendedLabel.Show();
                }
            }
            else
            {
                if (SuspendedLabel.Visible == true)
                {
                    SuspendedLabel.Hide();
                }

                _ToggleBetLayPanels(true);

                SetOddsPanel(PlayerBack, market.id, playerSelection);
                SetOddsPanel(PlayerLay, market.id, playerSelection);

                SetOddsPanel(BankerBack, market.id, bankerSelection);
                SetOddsPanel(BankerLay, market.id, bankerSelection);

                SetOddsPanel(TieBack, market.id, tieSelection);
                SetOddsPanel(TieLay, market.id, tieSelection);

                SetOddsPanel(Exotic1Back, secondaryMarket.id, exoticSelection1);
                SetOddsPanel(Exotic1Lay, secondaryMarket.id, exoticSelection1);

                SetOddsPanel(Exotic2Back, secondaryMarket.id, exoticSelection2);
                SetOddsPanel(Exotic2Lay, secondaryMarket.id, exoticSelection2);

                SetOddsPanel(Exotic3Back, secondaryMarket.id, exoticSelection3);
                SetOddsPanel(Exotic3Lay, secondaryMarket.id, exoticSelection3);

                SetOddsPanel(Exotic4Back, secondaryMarket.id, exoticSelection4);
                SetOddsPanel(Exotic4Lay, secondaryMarket.id, exoticSelection4);

                SetOddsPanel(Exotic5Back, secondaryMarket.id, exoticSelection5);
                SetOddsPanel(Exotic5Lay, secondaryMarket.id, exoticSelection5);
            }
        }

		/// <summary>
		/// Enables or disables the buttons allowing bets to be placed
		/// </summary>
		/// <param name="enabled"></param>
		private void _ToggleBetLayPanels(bool enabled)
		{
            // remove the price and available if we are disabling the panel
            if (enabled == false)
            {
                PlayerBack.Clear();
                PlayerLay.Clear();
                BankerBack.Clear();
                BankerLay.Clear();
                TieBack.Clear();
                TieLay.Clear();

                Exotic1Back.Clear();
                Exotic1Lay.Clear();
                Exotic2Back.Clear();
                Exotic2Lay.Clear();
                Exotic3Back.Clear();
                Exotic3Lay.Clear();
                Exotic4Back.Clear();
                Exotic4Lay.Clear();
                Exotic5Back.Clear();
                Exotic5Lay.Clear();
            }

            PlayerBack.Enabled = enabled;
			PlayerLay.Enabled = enabled;
			BankerBack.Enabled = enabled;
			BankerLay.Enabled = enabled;
			TieBack.Enabled = enabled;
			TieLay.Enabled = enabled;

			Exotic1Back.Enabled = enabled;
			Exotic1Lay.Enabled = enabled;
			Exotic2Back.Enabled = enabled;
			Exotic2Lay.Enabled = enabled;
			Exotic3Back.Enabled = enabled;
			Exotic3Lay.Enabled = enabled;
			Exotic4Back.Enabled = enabled;
			Exotic4Lay.Enabled = enabled;
			Exotic5Back.Enabled = enabled;
			Exotic5Lay.Enabled = enabled;
		}

		private void _SetRound() 
		{
            Round1Label.Font = fn;
            Round2Label.Font = fn;
            Round3Label.Font = fn;
            Round4Label.Font = fn;
            Round5Label.Font = fn;
            Round6Label.Font = fn;

            switch (channelSnapshot.channel.game.round)
            {
                case 1:
                    Round1Label.Font = fb;
                    break;
                case 2:
                    Round2Label.Font = fb;
                    break;
                case 3:
                    Round3Label.Font = fb;
                    break;
                case 4:
                    Round4Label.Font = fb;
                    break;
                case 5:
                    Round5Label.Font = fb;
                    break;
                case 6:
                    Round6Label.Font = fb;
                    break;
            }
        }

        private void SelectionClicked(object sender, System.EventArgs e)
        {
            SelectionClicked(ShowBetPlacement, sender, channelSnapshot, m_Parent.Account);
        }

        private void OnClearBets()
        {
            if (ClearBets != null)
            {
                ClearBets();
            }
        }
    }
}
