using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;
using System.Reflection;
using Betfair.Gamex.API.Entities;
using Poker.Classes;

namespace Poker.Controls.GameView
{
	/// <summary>
	/// Summary description for ctlBJ.
	/// </summary>
    public class BlackjackView : Poker.Controls.GameView.GameViewBase, IGameControl
	{
		#region Form Controls
		/// <summary> 
		/// Required designer variable.
		/// </summary>
		private System.Windows.Forms.Label GameTitle;
		private System.Windows.Forms.Label Round1Label;
		private System.Windows.Forms.Label Round2Label;
		private System.Windows.Forms.Label Round3Label;
		private System.Windows.Forms.Label Round4Label;
        private System.Windows.Forms.Label Round5Label;
        private Poker.Controls.OddsPanel Player1Lay;
        private System.Windows.Forms.Label Player1Status;
        private System.Windows.Forms.Label Player1DescriptionLabel;
		private Poker.Controls.OddsPanel Exotic1Lay;
		private Poker.Controls.OddsPanel Exotic1Back;
		private System.Windows.Forms.Label Exotic1Status;
		private Poker.Controls.OddsPanel Exotic2Lay;
        private Poker.Controls.OddsPanel Exotic2Back;
        private Poker.Controls.OddsPanel Exotic3Lay;
		private Poker.Controls.OddsPanel Exotic4Lay;
		private Poker.Controls.OddsPanel Exotic4Back;
		private System.Windows.Forms.Label Exotic4Status;
		private Poker.Controls.OddsPanel Exotic3Back;
		private System.Windows.Forms.Label Round6Label;
		private System.Windows.Forms.Label Round7Label;
		private System.Windows.Forms.Label DealerDescriptionLabel;
		private System.Windows.Forms.PictureBox DealerCard2;
		private System.Windows.Forms.PictureBox DealerCard1;
		private System.Windows.Forms.PictureBox DealerCard4;
		private System.Windows.Forms.PictureBox DealerCard5;
        private System.Windows.Forms.PictureBox DealerCard3;
        private Label Exotic2Status;
        private Label Exotic3Status;
        private OddsPanel Player1Back;
        private PictureBox Player1Card1;
        private PictureBox Player1Card2;
        private PictureBox Player1Card3;
        private PictureBox Player2Card5;
        private PictureBox Player2Card4;
        private PictureBox Player2Card3;
        private PictureBox Player2Card2;
        private PictureBox Player2Card1;
        private OddsPanel Player2Lay;
        private OddsPanel Player2Back;
        private Label Player2Status;
        private Label Player2DescriptionLabel;
        private PictureBox Player3Card5;
        private PictureBox Player3Card4;
        private PictureBox Player3Card3;
        private PictureBox Player3Card2;
        private PictureBox Player3Card1;
        private OddsPanel Player3Lay;
        private OddsPanel Player3Back;
        private Label Player3Status;
        private Label Player3DescriptionLabel;
        private PictureBox Player4Card5;
        private PictureBox Player4Card4;
        private PictureBox Player4Card3;
        private PictureBox Player4Card2;
        private PictureBox Player4Card1;
        private OddsPanel Player4Lay;
        private OddsPanel Player4Back;
        private Label Player4Status;
        private Label Player4DescriptionLabel;
        private PictureBox ProgressGrey;
        private PictureBox ProgressBar;
		#endregion

        private MainForm m_Parent;
        private channelSnapshot channelSnapshot;
        private int roundId = 0;
        private gameDataObject[] gameData;
        private marketSnapshot market;
        private selectionSnapshot player1Selection;
        private selectionSnapshot player2Selection;
        private selectionSnapshot player3Selection;
        private selectionSnapshot player4Selection;
        private selectionSnapshot exotic1Selection;
        private selectionSnapshot exotic2Selection;
        private selectionSnapshot exotic3Selection;
        private PictureBox Player1Card5;
        private PictureBox Player1Card4;
        private Label Player1Stood;
        private Label Player3Stood;
        private Label Player4Stood;
        private Label Player2Stood;
        private Label SuspendedLabel;
        private selectionSnapshot exotic4Selection;

		public event ShowBetPlaceHandler ShowBetPlacement;
		public event ClearBetsHandler ClearBets;

        public BlackjackView(MainForm parent)
		{
			// This call is required by the Windows.Forms Form Designer.
			InitializeComponent();
			m_Parent = parent;
		}

        #region Component Designer generated code
        /// <summary> 
        /// Required method for Designer support - do not modify 
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            System.Windows.Forms.Label Player1Label;
            System.Windows.Forms.Label Exotic1Label;
            System.Windows.Forms.Label label2;
            System.Windows.Forms.Label label6;
            System.Windows.Forms.Label label9;
            System.Windows.Forms.Label label1;
            System.Windows.Forms.Label Player2Label;
            System.Windows.Forms.Label Player3Label;
            System.Windows.Forms.Label Player4Label;
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(BlackjackView));
            this.GameTitle = new System.Windows.Forms.Label();
            this.Round1Label = new System.Windows.Forms.Label();
            this.Round2Label = new System.Windows.Forms.Label();
            this.Round3Label = new System.Windows.Forms.Label();
            this.Round4Label = new System.Windows.Forms.Label();
            this.Round5Label = new System.Windows.Forms.Label();
            this.Player1Status = new System.Windows.Forms.Label();
            this.Player1DescriptionLabel = new System.Windows.Forms.Label();
            this.Exotic1Status = new System.Windows.Forms.Label();
            this.Exotic2Status = new System.Windows.Forms.Label();
            this.Exotic3Status = new System.Windows.Forms.Label();
            this.Exotic4Status = new System.Windows.Forms.Label();
            this.Round6Label = new System.Windows.Forms.Label();
            this.Round7Label = new System.Windows.Forms.Label();
            this.DealerDescriptionLabel = new System.Windows.Forms.Label();
            this.DealerCard2 = new System.Windows.Forms.PictureBox();
            this.DealerCard1 = new System.Windows.Forms.PictureBox();
            this.DealerCard4 = new System.Windows.Forms.PictureBox();
            this.DealerCard5 = new System.Windows.Forms.PictureBox();
            this.DealerCard3 = new System.Windows.Forms.PictureBox();
            this.Player1Card1 = new System.Windows.Forms.PictureBox();
            this.Player1Card2 = new System.Windows.Forms.PictureBox();
            this.Player1Card3 = new System.Windows.Forms.PictureBox();
            this.Player2Card5 = new System.Windows.Forms.PictureBox();
            this.Player2Card4 = new System.Windows.Forms.PictureBox();
            this.Player2Card3 = new System.Windows.Forms.PictureBox();
            this.Player2Card2 = new System.Windows.Forms.PictureBox();
            this.Player2Card1 = new System.Windows.Forms.PictureBox();
            this.Player2Status = new System.Windows.Forms.Label();
            this.Player2DescriptionLabel = new System.Windows.Forms.Label();
            this.Player3Card5 = new System.Windows.Forms.PictureBox();
            this.Player3Card4 = new System.Windows.Forms.PictureBox();
            this.Player3Card3 = new System.Windows.Forms.PictureBox();
            this.Player3Card2 = new System.Windows.Forms.PictureBox();
            this.Player3Card1 = new System.Windows.Forms.PictureBox();
            this.Player3Status = new System.Windows.Forms.Label();
            this.Player3DescriptionLabel = new System.Windows.Forms.Label();
            this.Player4Card5 = new System.Windows.Forms.PictureBox();
            this.Player4Card4 = new System.Windows.Forms.PictureBox();
            this.Player4Card3 = new System.Windows.Forms.PictureBox();
            this.Player4Card2 = new System.Windows.Forms.PictureBox();
            this.Player4Card1 = new System.Windows.Forms.PictureBox();
            this.Player4Status = new System.Windows.Forms.Label();
            this.Player4DescriptionLabel = new System.Windows.Forms.Label();
            this.Player4Lay = new Poker.Controls.OddsPanel();
            this.Player4Back = new Poker.Controls.OddsPanel();
            this.Player3Lay = new Poker.Controls.OddsPanel();
            this.Player3Back = new Poker.Controls.OddsPanel();
            this.Player2Lay = new Poker.Controls.OddsPanel();
            this.Player2Back = new Poker.Controls.OddsPanel();
            this.Exotic4Lay = new Poker.Controls.OddsPanel();
            this.Exotic4Back = new Poker.Controls.OddsPanel();
            this.Exotic3Lay = new Poker.Controls.OddsPanel();
            this.Exotic3Back = new Poker.Controls.OddsPanel();
            this.Exotic2Lay = new Poker.Controls.OddsPanel();
            this.Exotic2Back = new Poker.Controls.OddsPanel();
            this.Exotic1Lay = new Poker.Controls.OddsPanel();
            this.Exotic1Back = new Poker.Controls.OddsPanel();
            this.Player1Lay = new Poker.Controls.OddsPanel();
            this.Player1Back = new Poker.Controls.OddsPanel();
            this.ProgressGrey = new System.Windows.Forms.PictureBox();
            this.ProgressBar = new System.Windows.Forms.PictureBox();
            this.Player1Card5 = new System.Windows.Forms.PictureBox();
            this.Player1Card4 = new System.Windows.Forms.PictureBox();
            this.Player1Stood = new System.Windows.Forms.Label();
            this.Player3Stood = new System.Windows.Forms.Label();
            this.Player4Stood = new System.Windows.Forms.Label();
            this.Player2Stood = new System.Windows.Forms.Label();
            this.SuspendedLabel = new System.Windows.Forms.Label();
            Player1Label = new System.Windows.Forms.Label();
            Exotic1Label = new System.Windows.Forms.Label();
            label2 = new System.Windows.Forms.Label();
            label6 = new System.Windows.Forms.Label();
            label9 = new System.Windows.Forms.Label();
            label1 = new System.Windows.Forms.Label();
            Player2Label = new System.Windows.Forms.Label();
            Player3Label = new System.Windows.Forms.Label();
            Player4Label = new System.Windows.Forms.Label();
            ((System.ComponentModel.ISupportInitialize)(this.DealerCard2)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.DealerCard1)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.DealerCard4)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.DealerCard5)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.DealerCard3)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player1Card1)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player1Card2)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player1Card3)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player2Card5)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player2Card4)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player2Card3)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player2Card2)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player2Card1)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player3Card5)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player3Card4)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player3Card3)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player3Card2)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player3Card1)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player4Card5)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player4Card4)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player4Card3)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player4Card2)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player4Card1)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.ProgressGrey)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.ProgressBar)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player1Card5)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player1Card4)).BeginInit();
            this.SuspendLayout();
            // 
            // Player1Label
            // 
            Player1Label.BackColor = System.Drawing.Color.White;
            Player1Label.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            Player1Label.ForeColor = System.Drawing.Color.Black;
            Player1Label.Location = new System.Drawing.Point(6, 76);
            Player1Label.Name = "Player1Label";
            Player1Label.Size = new System.Drawing.Size(56, 14);
            Player1Label.TabIndex = 22;
            Player1Label.Text = "Player 1";
            Player1Label.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // Exotic1Label
            // 
            Exotic1Label.BackColor = System.Drawing.Color.Transparent;
            Exotic1Label.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            Exotic1Label.ForeColor = System.Drawing.Color.RoyalBlue;
            Exotic1Label.Location = new System.Drawing.Point(64, 260);
            Exotic1Label.Name = "Exotic1Label";
            Exotic1Label.Size = new System.Drawing.Size(150, 16);
            Exotic1Label.TabIndex = 62;
            Exotic1Label.Text = "Dealer wins or ties all";
            Exotic1Label.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label2
            // 
            label2.BackColor = System.Drawing.Color.Transparent;
            label2.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            label2.ForeColor = System.Drawing.Color.RoyalBlue;
            label2.Location = new System.Drawing.Point(63, 320);
            label2.Name = "label2";
            label2.Size = new System.Drawing.Size(151, 16);
            label2.TabIndex = 67;
            label2.Text = "1 or more has 5 cards";
            label2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label6
            // 
            label6.BackColor = System.Drawing.Color.Transparent;
            label6.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            label6.ForeColor = System.Drawing.Color.RoyalBlue;
            label6.Location = new System.Drawing.Point(289, 260);
            label6.Name = "label6";
            label6.Size = new System.Drawing.Size(151, 16);
            label6.TabIndex = 72;
            label6.Text = "All cards unique";
            label6.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label9
            // 
            label9.BackColor = System.Drawing.Color.Transparent;
            label9.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            label9.ForeColor = System.Drawing.Color.RoyalBlue;
            label9.Location = new System.Drawing.Point(289, 320);
            label9.Name = "label9";
            label9.Size = new System.Drawing.Size(151, 16);
            label9.TabIndex = 77;
            label9.Text = "Only one has 21pts";
            label9.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label1
            // 
            label1.BackColor = System.Drawing.Color.White;
            label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            label1.ForeColor = System.Drawing.Color.Black;
            label1.Location = new System.Drawing.Point(39, 30);
            label1.Name = "label1";
            label1.Size = new System.Drawing.Size(57, 15);
            label1.TabIndex = 86;
            label1.Text = "Dealer";
            label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // Player2Label
            // 
            Player2Label.BackColor = System.Drawing.Color.White;
            Player2Label.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            Player2Label.ForeColor = System.Drawing.Color.Black;
            Player2Label.Location = new System.Drawing.Point(231, 76);
            Player2Label.Name = "Player2Label";
            Player2Label.Size = new System.Drawing.Size(56, 14);
            Player2Label.TabIndex = 93;
            Player2Label.Text = "Player 2";
            Player2Label.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // Player3Label
            // 
            Player3Label.BackColor = System.Drawing.Color.White;
            Player3Label.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            Player3Label.ForeColor = System.Drawing.Color.Black;
            Player3Label.Location = new System.Drawing.Point(6, 166);
            Player3Label.Name = "Player3Label";
            Player3Label.Size = new System.Drawing.Size(56, 14);
            Player3Label.TabIndex = 103;
            Player3Label.Text = "Player 3";
            Player3Label.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // Player4Label
            // 
            Player4Label.BackColor = System.Drawing.Color.White;
            Player4Label.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            Player4Label.ForeColor = System.Drawing.Color.Black;
            Player4Label.Location = new System.Drawing.Point(231, 166);
            Player4Label.Name = "Player4Label";
            Player4Label.Size = new System.Drawing.Size(56, 14);
            Player4Label.TabIndex = 113;
            Player4Label.Text = "Player 4";
            Player4Label.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // GameTitle
            // 
            this.GameTitle.BackColor = System.Drawing.Color.Transparent;
            this.GameTitle.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.GameTitle.ForeColor = System.Drawing.Color.Black;
            this.GameTitle.Location = new System.Drawing.Point(73, 1);
            this.GameTitle.Name = "GameTitle";
            this.GameTitle.Size = new System.Drawing.Size(281, 16);
            this.GameTitle.TabIndex = 13;
            this.GameTitle.Text = "Loading Exchange Blackjack game...";
            this.GameTitle.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // Round1Label
            // 
            this.Round1Label.BackColor = System.Drawing.Color.Transparent;
            this.Round1Label.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Round1Label.ForeColor = System.Drawing.Color.Black;
            this.Round1Label.Location = new System.Drawing.Point(308, 14);
            this.Round1Label.Name = "Round1Label";
            this.Round1Label.Size = new System.Drawing.Size(48, 11);
            this.Round1Label.TabIndex = 14;
            this.Round1Label.Text = "Round 1";
            this.Round1Label.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // Round2Label
            // 
            this.Round2Label.BackColor = System.Drawing.Color.Transparent;
            this.Round2Label.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Round2Label.ForeColor = System.Drawing.Color.Black;
            this.Round2Label.Location = new System.Drawing.Point(308, 29);
            this.Round2Label.Name = "Round2Label";
            this.Round2Label.Size = new System.Drawing.Size(48, 11);
            this.Round2Label.TabIndex = 15;
            this.Round2Label.Text = "Round 2";
            this.Round2Label.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // Round3Label
            // 
            this.Round3Label.BackColor = System.Drawing.Color.Transparent;
            this.Round3Label.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Round3Label.ForeColor = System.Drawing.Color.Black;
            this.Round3Label.Location = new System.Drawing.Point(308, 44);
            this.Round3Label.Name = "Round3Label";
            this.Round3Label.Size = new System.Drawing.Size(48, 11);
            this.Round3Label.TabIndex = 16;
            this.Round3Label.Text = "Round 3";
            this.Round3Label.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // Round4Label
            // 
            this.Round4Label.BackColor = System.Drawing.Color.Transparent;
            this.Round4Label.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Round4Label.ForeColor = System.Drawing.Color.Black;
            this.Round4Label.Location = new System.Drawing.Point(368, 8);
            this.Round4Label.Name = "Round4Label";
            this.Round4Label.Size = new System.Drawing.Size(48, 11);
            this.Round4Label.TabIndex = 17;
            this.Round4Label.Text = "Round 4";
            this.Round4Label.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // Round5Label
            // 
            this.Round5Label.BackColor = System.Drawing.Color.Transparent;
            this.Round5Label.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Round5Label.ForeColor = System.Drawing.Color.Black;
            this.Round5Label.Location = new System.Drawing.Point(368, 22);
            this.Round5Label.Name = "Round5Label";
            this.Round5Label.Size = new System.Drawing.Size(48, 11);
            this.Round5Label.TabIndex = 18;
            this.Round5Label.Text = "Round 5";
            this.Round5Label.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // Player1Status
            // 
            this.Player1Status.BackColor = System.Drawing.Color.Green;
            this.Player1Status.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Player1Status.ForeColor = System.Drawing.Color.White;
            this.Player1Status.Location = new System.Drawing.Point(6, 91);
            this.Player1Status.Name = "Player1Status";
            this.Player1Status.Size = new System.Drawing.Size(56, 14);
            this.Player1Status.TabIndex = 23;
            this.Player1Status.Text = "Active";
            this.Player1Status.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // Player1DescriptionLabel
            // 
            this.Player1DescriptionLabel.BackColor = System.Drawing.Color.Transparent;
            this.Player1DescriptionLabel.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Player1DescriptionLabel.ForeColor = System.Drawing.Color.Black;
            this.Player1DescriptionLabel.Location = new System.Drawing.Point(65, 109);
            this.Player1DescriptionLabel.Name = "Player1DescriptionLabel";
            this.Player1DescriptionLabel.Size = new System.Drawing.Size(142, 11);
            this.Player1DescriptionLabel.TabIndex = 41;
            this.Player1DescriptionLabel.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // Exotic1Status
            // 
            this.Exotic1Status.BackColor = System.Drawing.Color.Green;
            this.Exotic1Status.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Exotic1Status.ForeColor = System.Drawing.Color.White;
            this.Exotic1Status.Location = new System.Drawing.Point(6, 278);
            this.Exotic1Status.Name = "Exotic1Status";
            this.Exotic1Status.Size = new System.Drawing.Size(56, 14);
            this.Exotic1Status.TabIndex = 58;
            this.Exotic1Status.Text = "Active";
            this.Exotic1Status.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // Exotic2Status
            // 
            this.Exotic2Status.BackColor = System.Drawing.Color.Green;
            this.Exotic2Status.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Exotic2Status.ForeColor = System.Drawing.Color.White;
            this.Exotic2Status.Location = new System.Drawing.Point(6, 338);
            this.Exotic2Status.Name = "Exotic2Status";
            this.Exotic2Status.Size = new System.Drawing.Size(56, 14);
            this.Exotic2Status.TabIndex = 63;
            this.Exotic2Status.Text = "Active";
            this.Exotic2Status.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // Exotic3Status
            // 
            this.Exotic3Status.BackColor = System.Drawing.Color.Green;
            this.Exotic3Status.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Exotic3Status.ForeColor = System.Drawing.Color.White;
            this.Exotic3Status.Location = new System.Drawing.Point(231, 278);
            this.Exotic3Status.Name = "Exotic3Status";
            this.Exotic3Status.Size = new System.Drawing.Size(56, 14);
            this.Exotic3Status.TabIndex = 68;
            this.Exotic3Status.Text = "Active";
            this.Exotic3Status.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // Exotic4Status
            // 
            this.Exotic4Status.BackColor = System.Drawing.Color.Green;
            this.Exotic4Status.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Exotic4Status.ForeColor = System.Drawing.Color.White;
            this.Exotic4Status.Location = new System.Drawing.Point(231, 338);
            this.Exotic4Status.Name = "Exotic4Status";
            this.Exotic4Status.Size = new System.Drawing.Size(56, 14);
            this.Exotic4Status.TabIndex = 73;
            this.Exotic4Status.Text = "Active";
            this.Exotic4Status.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // Round6Label
            // 
            this.Round6Label.BackColor = System.Drawing.Color.Transparent;
            this.Round6Label.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Round6Label.ForeColor = System.Drawing.Color.Black;
            this.Round6Label.Location = new System.Drawing.Point(368, 36);
            this.Round6Label.Name = "Round6Label";
            this.Round6Label.Size = new System.Drawing.Size(48, 11);
            this.Round6Label.TabIndex = 78;
            this.Round6Label.Text = "Round 6";
            this.Round6Label.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // Round7Label
            // 
            this.Round7Label.BackColor = System.Drawing.Color.Transparent;
            this.Round7Label.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Round7Label.ForeColor = System.Drawing.Color.Black;
            this.Round7Label.Location = new System.Drawing.Point(368, 50);
            this.Round7Label.Name = "Round7Label";
            this.Round7Label.Size = new System.Drawing.Size(48, 11);
            this.Round7Label.TabIndex = 79;
            this.Round7Label.Text = "Round 7";
            this.Round7Label.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // DealerDescriptionLabel
            // 
            this.DealerDescriptionLabel.BackColor = System.Drawing.Color.Transparent;
            this.DealerDescriptionLabel.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.DealerDescriptionLabel.ForeColor = System.Drawing.Color.Black;
            this.DealerDescriptionLabel.Location = new System.Drawing.Point(99, 54);
            this.DealerDescriptionLabel.Name = "DealerDescriptionLabel";
            this.DealerDescriptionLabel.Size = new System.Drawing.Size(154, 14);
            this.DealerDescriptionLabel.TabIndex = 80;
            // 
            // DealerCard2
            // 
            this.DealerCard2.BackColor = System.Drawing.Color.White;
            this.DealerCard2.Image = ((System.Drawing.Image)(resources.GetObject("DealerCard2.Image")));
            this.DealerCard2.Location = new System.Drawing.Point(130, 20);
            this.DealerCard2.Name = "DealerCard2";
            this.DealerCard2.Size = new System.Drawing.Size(30, 35);
            this.DealerCard2.TabIndex = 82;
            this.DealerCard2.TabStop = false;
            // 
            // DealerCard1
            // 
            this.DealerCard1.BackColor = System.Drawing.Color.White;
            this.DealerCard1.Image = ((System.Drawing.Image)(resources.GetObject("DealerCard1.Image")));
            this.DealerCard1.Location = new System.Drawing.Point(99, 20);
            this.DealerCard1.Name = "DealerCard1";
            this.DealerCard1.Size = new System.Drawing.Size(30, 35);
            this.DealerCard1.TabIndex = 81;
            this.DealerCard1.TabStop = false;
            // 
            // DealerCard4
            // 
            this.DealerCard4.BackColor = System.Drawing.Color.White;
            this.DealerCard4.Image = ((System.Drawing.Image)(resources.GetObject("DealerCard4.Image")));
            this.DealerCard4.Location = new System.Drawing.Point(192, 20);
            this.DealerCard4.Name = "DealerCard4";
            this.DealerCard4.Size = new System.Drawing.Size(30, 35);
            this.DealerCard4.TabIndex = 84;
            this.DealerCard4.TabStop = false;
            this.DealerCard4.Visible = false;
            // 
            // DealerCard5
            // 
            this.DealerCard5.BackColor = System.Drawing.Color.White;
            this.DealerCard5.Image = ((System.Drawing.Image)(resources.GetObject("DealerCard5.Image")));
            this.DealerCard5.Location = new System.Drawing.Point(223, 20);
            this.DealerCard5.Name = "DealerCard5";
            this.DealerCard5.Size = new System.Drawing.Size(30, 35);
            this.DealerCard5.TabIndex = 83;
            this.DealerCard5.TabStop = false;
            this.DealerCard5.Visible = false;
            // 
            // DealerCard3
            // 
            this.DealerCard3.BackColor = System.Drawing.Color.White;
            this.DealerCard3.Image = ((System.Drawing.Image)(resources.GetObject("DealerCard3.Image")));
            this.DealerCard3.Location = new System.Drawing.Point(161, 20);
            this.DealerCard3.Name = "DealerCard3";
            this.DealerCard3.Size = new System.Drawing.Size(30, 35);
            this.DealerCard3.TabIndex = 85;
            this.DealerCard3.TabStop = false;
            this.DealerCard3.Visible = false;
            // 
            // Player1Card1
            // 
            this.Player1Card1.BackColor = System.Drawing.Color.White;
            this.Player1Card1.Image = ((System.Drawing.Image)(resources.GetObject("Player1Card1.Image")));
            this.Player1Card1.Location = new System.Drawing.Point(65, 73);
            this.Player1Card1.Name = "Player1Card1";
            this.Player1Card1.Size = new System.Drawing.Size(30, 35);
            this.Player1Card1.TabIndex = 88;
            this.Player1Card1.TabStop = false;
            // 
            // Player1Card2
            // 
            this.Player1Card2.BackColor = System.Drawing.Color.White;
            this.Player1Card2.Image = ((System.Drawing.Image)(resources.GetObject("Player1Card2.Image")));
            this.Player1Card2.Location = new System.Drawing.Point(82, 73);
            this.Player1Card2.Name = "Player1Card2";
            this.Player1Card2.Size = new System.Drawing.Size(30, 35);
            this.Player1Card2.TabIndex = 89;
            this.Player1Card2.TabStop = false;
            // 
            // Player1Card3
            // 
            this.Player1Card3.BackColor = System.Drawing.Color.White;
            this.Player1Card3.Image = ((System.Drawing.Image)(resources.GetObject("Player1Card3.Image")));
            this.Player1Card3.Location = new System.Drawing.Point(99, 73);
            this.Player1Card3.Name = "Player1Card3";
            this.Player1Card3.Size = new System.Drawing.Size(30, 35);
            this.Player1Card3.TabIndex = 90;
            this.Player1Card3.TabStop = false;
            this.Player1Card3.Visible = false;
            // 
            // Player2Card5
            // 
            this.Player2Card5.BackColor = System.Drawing.Color.White;
            this.Player2Card5.Image = ((System.Drawing.Image)(resources.GetObject("Player2Card5.Image")));
            this.Player2Card5.Location = new System.Drawing.Point(358, 73);
            this.Player2Card5.Name = "Player2Card5";
            this.Player2Card5.Size = new System.Drawing.Size(30, 35);
            this.Player2Card5.TabIndex = 102;
            this.Player2Card5.TabStop = false;
            this.Player2Card5.Visible = false;
            // 
            // Player2Card4
            // 
            this.Player2Card4.BackColor = System.Drawing.Color.White;
            this.Player2Card4.Image = ((System.Drawing.Image)(resources.GetObject("Player2Card4.Image")));
            this.Player2Card4.Location = new System.Drawing.Point(341, 73);
            this.Player2Card4.Name = "Player2Card4";
            this.Player2Card4.Size = new System.Drawing.Size(30, 35);
            this.Player2Card4.TabIndex = 101;
            this.Player2Card4.TabStop = false;
            this.Player2Card4.Visible = false;
            // 
            // Player2Card3
            // 
            this.Player2Card3.BackColor = System.Drawing.Color.White;
            this.Player2Card3.Image = ((System.Drawing.Image)(resources.GetObject("Player2Card3.Image")));
            this.Player2Card3.Location = new System.Drawing.Point(324, 73);
            this.Player2Card3.Name = "Player2Card3";
            this.Player2Card3.Size = new System.Drawing.Size(30, 35);
            this.Player2Card3.TabIndex = 100;
            this.Player2Card3.TabStop = false;
            this.Player2Card3.Visible = false;
            // 
            // Player2Card2
            // 
            this.Player2Card2.BackColor = System.Drawing.Color.White;
            this.Player2Card2.Image = ((System.Drawing.Image)(resources.GetObject("Player2Card2.Image")));
            this.Player2Card2.Location = new System.Drawing.Point(307, 73);
            this.Player2Card2.Name = "Player2Card2";
            this.Player2Card2.Size = new System.Drawing.Size(30, 35);
            this.Player2Card2.TabIndex = 99;
            this.Player2Card2.TabStop = false;
            // 
            // Player2Card1
            // 
            this.Player2Card1.BackColor = System.Drawing.Color.White;
            this.Player2Card1.Image = ((System.Drawing.Image)(resources.GetObject("Player2Card1.Image")));
            this.Player2Card1.Location = new System.Drawing.Point(290, 73);
            this.Player2Card1.Name = "Player2Card1";
            this.Player2Card1.Size = new System.Drawing.Size(30, 35);
            this.Player2Card1.TabIndex = 98;
            this.Player2Card1.TabStop = false;
            // 
            // Player2Status
            // 
            this.Player2Status.BackColor = System.Drawing.Color.Green;
            this.Player2Status.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Player2Status.ForeColor = System.Drawing.Color.White;
            this.Player2Status.Location = new System.Drawing.Point(231, 91);
            this.Player2Status.Name = "Player2Status";
            this.Player2Status.Size = new System.Drawing.Size(56, 14);
            this.Player2Status.TabIndex = 94;
            this.Player2Status.Text = "Active";
            this.Player2Status.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // Player2DescriptionLabel
            // 
            this.Player2DescriptionLabel.BackColor = System.Drawing.Color.Transparent;
            this.Player2DescriptionLabel.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Player2DescriptionLabel.ForeColor = System.Drawing.Color.Black;
            this.Player2DescriptionLabel.Location = new System.Drawing.Point(290, 109);
            this.Player2DescriptionLabel.Name = "Player2DescriptionLabel";
            this.Player2DescriptionLabel.Size = new System.Drawing.Size(142, 11);
            this.Player2DescriptionLabel.TabIndex = 97;
            this.Player2DescriptionLabel.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // Player3Card5
            // 
            this.Player3Card5.BackColor = System.Drawing.Color.White;
            this.Player3Card5.Image = ((System.Drawing.Image)(resources.GetObject("Player3Card5.Image")));
            this.Player3Card5.Location = new System.Drawing.Point(133, 163);
            this.Player3Card5.Name = "Player3Card5";
            this.Player3Card5.Size = new System.Drawing.Size(30, 35);
            this.Player3Card5.TabIndex = 112;
            this.Player3Card5.TabStop = false;
            this.Player3Card5.Visible = false;
            // 
            // Player3Card4
            // 
            this.Player3Card4.BackColor = System.Drawing.Color.White;
            this.Player3Card4.Image = ((System.Drawing.Image)(resources.GetObject("Player3Card4.Image")));
            this.Player3Card4.Location = new System.Drawing.Point(116, 163);
            this.Player3Card4.Name = "Player3Card4";
            this.Player3Card4.Size = new System.Drawing.Size(30, 35);
            this.Player3Card4.TabIndex = 111;
            this.Player3Card4.TabStop = false;
            this.Player3Card4.Visible = false;
            // 
            // Player3Card3
            // 
            this.Player3Card3.BackColor = System.Drawing.Color.White;
            this.Player3Card3.Image = ((System.Drawing.Image)(resources.GetObject("Player3Card3.Image")));
            this.Player3Card3.Location = new System.Drawing.Point(99, 163);
            this.Player3Card3.Name = "Player3Card3";
            this.Player3Card3.Size = new System.Drawing.Size(30, 35);
            this.Player3Card3.TabIndex = 110;
            this.Player3Card3.TabStop = false;
            this.Player3Card3.Visible = false;
            // 
            // Player3Card2
            // 
            this.Player3Card2.BackColor = System.Drawing.Color.White;
            this.Player3Card2.Image = ((System.Drawing.Image)(resources.GetObject("Player3Card2.Image")));
            this.Player3Card2.Location = new System.Drawing.Point(82, 163);
            this.Player3Card2.Name = "Player3Card2";
            this.Player3Card2.Size = new System.Drawing.Size(30, 35);
            this.Player3Card2.TabIndex = 109;
            this.Player3Card2.TabStop = false;
            // 
            // Player3Card1
            // 
            this.Player3Card1.BackColor = System.Drawing.Color.White;
            this.Player3Card1.Image = ((System.Drawing.Image)(resources.GetObject("Player3Card1.Image")));
            this.Player3Card1.Location = new System.Drawing.Point(65, 163);
            this.Player3Card1.Name = "Player3Card1";
            this.Player3Card1.Size = new System.Drawing.Size(30, 35);
            this.Player3Card1.TabIndex = 108;
            this.Player3Card1.TabStop = false;
            // 
            // Player3Status
            // 
            this.Player3Status.BackColor = System.Drawing.Color.Green;
            this.Player3Status.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Player3Status.ForeColor = System.Drawing.Color.White;
            this.Player3Status.Location = new System.Drawing.Point(6, 181);
            this.Player3Status.Name = "Player3Status";
            this.Player3Status.Size = new System.Drawing.Size(56, 14);
            this.Player3Status.TabIndex = 104;
            this.Player3Status.Text = "Active";
            this.Player3Status.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // Player3DescriptionLabel
            // 
            this.Player3DescriptionLabel.BackColor = System.Drawing.Color.Transparent;
            this.Player3DescriptionLabel.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Player3DescriptionLabel.ForeColor = System.Drawing.Color.Black;
            this.Player3DescriptionLabel.Location = new System.Drawing.Point(65, 199);
            this.Player3DescriptionLabel.Name = "Player3DescriptionLabel";
            this.Player3DescriptionLabel.Size = new System.Drawing.Size(142, 11);
            this.Player3DescriptionLabel.TabIndex = 107;
            this.Player3DescriptionLabel.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // Player4Card5
            // 
            this.Player4Card5.BackColor = System.Drawing.Color.White;
            this.Player4Card5.Image = ((System.Drawing.Image)(resources.GetObject("Player4Card5.Image")));
            this.Player4Card5.Location = new System.Drawing.Point(358, 163);
            this.Player4Card5.Name = "Player4Card5";
            this.Player4Card5.Size = new System.Drawing.Size(30, 35);
            this.Player4Card5.TabIndex = 122;
            this.Player4Card5.TabStop = false;
            this.Player4Card5.Visible = false;
            // 
            // Player4Card4
            // 
            this.Player4Card4.BackColor = System.Drawing.Color.White;
            this.Player4Card4.Image = ((System.Drawing.Image)(resources.GetObject("Player4Card4.Image")));
            this.Player4Card4.Location = new System.Drawing.Point(341, 163);
            this.Player4Card4.Name = "Player4Card4";
            this.Player4Card4.Size = new System.Drawing.Size(30, 35);
            this.Player4Card4.TabIndex = 121;
            this.Player4Card4.TabStop = false;
            this.Player4Card4.Visible = false;
            // 
            // Player4Card3
            // 
            this.Player4Card3.BackColor = System.Drawing.Color.White;
            this.Player4Card3.Image = ((System.Drawing.Image)(resources.GetObject("Player4Card3.Image")));
            this.Player4Card3.Location = new System.Drawing.Point(324, 163);
            this.Player4Card3.Name = "Player4Card3";
            this.Player4Card3.Size = new System.Drawing.Size(30, 35);
            this.Player4Card3.TabIndex = 120;
            this.Player4Card3.TabStop = false;
            this.Player4Card3.Visible = false;
            // 
            // Player4Card2
            // 
            this.Player4Card2.BackColor = System.Drawing.Color.White;
            this.Player4Card2.Image = ((System.Drawing.Image)(resources.GetObject("Player4Card2.Image")));
            this.Player4Card2.Location = new System.Drawing.Point(307, 163);
            this.Player4Card2.Name = "Player4Card2";
            this.Player4Card2.Size = new System.Drawing.Size(30, 35);
            this.Player4Card2.TabIndex = 119;
            this.Player4Card2.TabStop = false;
            // 
            // Player4Card1
            // 
            this.Player4Card1.BackColor = System.Drawing.Color.White;
            this.Player4Card1.Image = ((System.Drawing.Image)(resources.GetObject("Player4Card1.Image")));
            this.Player4Card1.Location = new System.Drawing.Point(290, 163);
            this.Player4Card1.Name = "Player4Card1";
            this.Player4Card1.Size = new System.Drawing.Size(30, 35);
            this.Player4Card1.TabIndex = 118;
            this.Player4Card1.TabStop = false;
            // 
            // Player4Status
            // 
            this.Player4Status.BackColor = System.Drawing.Color.Green;
            this.Player4Status.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Player4Status.ForeColor = System.Drawing.Color.White;
            this.Player4Status.Location = new System.Drawing.Point(231, 181);
            this.Player4Status.Name = "Player4Status";
            this.Player4Status.Size = new System.Drawing.Size(56, 14);
            this.Player4Status.TabIndex = 114;
            this.Player4Status.Text = "Active";
            this.Player4Status.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // Player4DescriptionLabel
            // 
            this.Player4DescriptionLabel.BackColor = System.Drawing.Color.Transparent;
            this.Player4DescriptionLabel.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Player4DescriptionLabel.ForeColor = System.Drawing.Color.Black;
            this.Player4DescriptionLabel.Location = new System.Drawing.Point(290, 199);
            this.Player4DescriptionLabel.Name = "Player4DescriptionLabel";
            this.Player4DescriptionLabel.Size = new System.Drawing.Size(142, 11);
            this.Player4DescriptionLabel.TabIndex = 117;
            this.Player4DescriptionLabel.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // Player4Lay
            // 
            this.Player4Lay.Available = 0;
            this.Player4Lay.Back = false;
            this.Player4Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Player4Lay.BackgroundImage")));
            this.Player4Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Player4Lay.Eliminated = false;
            this.Player4Lay.ForeColor = System.Drawing.Color.Black;
            this.Player4Lay.Location = new System.Drawing.Point(338, 212);
            this.Player4Lay.MarketID = 0;
            this.Player4Lay.Name = "Player4Lay";
            this.Player4Lay.Price = 0;
            this.Player4Lay.Size = new System.Drawing.Size(50, 35);
            this.Player4Lay.TabIndex = 116;
            this.Player4Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Player4Back
            // 
            this.Player4Back.Available = 0;
            this.Player4Back.Back = true;
            this.Player4Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Player4Back.BackgroundImage")));
            this.Player4Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Player4Back.Eliminated = false;
            this.Player4Back.ForeColor = System.Drawing.Color.Black;
            this.Player4Back.Location = new System.Drawing.Point(290, 212);
            this.Player4Back.MarketID = 0;
            this.Player4Back.Name = "Player4Back";
            this.Player4Back.Price = 0;
            this.Player4Back.Size = new System.Drawing.Size(50, 35);
            this.Player4Back.TabIndex = 115;
            this.Player4Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Player3Lay
            // 
            this.Player3Lay.Available = 0;
            this.Player3Lay.Back = false;
            this.Player3Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Player3Lay.BackgroundImage")));
            this.Player3Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Player3Lay.Eliminated = false;
            this.Player3Lay.ForeColor = System.Drawing.Color.Black;
            this.Player3Lay.Location = new System.Drawing.Point(113, 212);
            this.Player3Lay.MarketID = 0;
            this.Player3Lay.Name = "Player3Lay";
            this.Player3Lay.Price = 0;
            this.Player3Lay.Size = new System.Drawing.Size(50, 35);
            this.Player3Lay.TabIndex = 106;
            this.Player3Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Player3Back
            // 
            this.Player3Back.Available = 0;
            this.Player3Back.Back = true;
            this.Player3Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Player3Back.BackgroundImage")));
            this.Player3Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Player3Back.Eliminated = false;
            this.Player3Back.ForeColor = System.Drawing.Color.Black;
            this.Player3Back.Location = new System.Drawing.Point(65, 212);
            this.Player3Back.MarketID = 0;
            this.Player3Back.Name = "Player3Back";
            this.Player3Back.Price = 0;
            this.Player3Back.Size = new System.Drawing.Size(50, 35);
            this.Player3Back.TabIndex = 105;
            this.Player3Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Player2Lay
            // 
            this.Player2Lay.Available = 0;
            this.Player2Lay.Back = false;
            this.Player2Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Player2Lay.BackgroundImage")));
            this.Player2Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Player2Lay.Eliminated = false;
            this.Player2Lay.ForeColor = System.Drawing.Color.Black;
            this.Player2Lay.Location = new System.Drawing.Point(338, 122);
            this.Player2Lay.MarketID = 0;
            this.Player2Lay.Name = "Player2Lay";
            this.Player2Lay.Price = 0;
            this.Player2Lay.Size = new System.Drawing.Size(50, 35);
            this.Player2Lay.TabIndex = 96;
            this.Player2Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Player2Back
            // 
            this.Player2Back.Available = 0;
            this.Player2Back.Back = true;
            this.Player2Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Player2Back.BackgroundImage")));
            this.Player2Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Player2Back.Eliminated = false;
            this.Player2Back.ForeColor = System.Drawing.Color.Black;
            this.Player2Back.Location = new System.Drawing.Point(290, 122);
            this.Player2Back.MarketID = 0;
            this.Player2Back.Name = "Player2Back";
            this.Player2Back.Price = 0;
            this.Player2Back.Size = new System.Drawing.Size(50, 35);
            this.Player2Back.TabIndex = 95;
            this.Player2Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Exotic4Lay
            // 
            this.Exotic4Lay.Available = 0;
            this.Exotic4Lay.Back = false;
            this.Exotic4Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Exotic4Lay.BackgroundImage")));
            this.Exotic4Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Exotic4Lay.Eliminated = false;
            this.Exotic4Lay.ForeColor = System.Drawing.Color.Black;
            this.Exotic4Lay.Location = new System.Drawing.Point(338, 338);
            this.Exotic4Lay.MarketID = 0;
            this.Exotic4Lay.Name = "Exotic4Lay";
            this.Exotic4Lay.Price = 0;
            this.Exotic4Lay.Size = new System.Drawing.Size(50, 35);
            this.Exotic4Lay.TabIndex = 75;
            this.Exotic4Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Exotic4Back
            // 
            this.Exotic4Back.Available = 0;
            this.Exotic4Back.Back = true;
            this.Exotic4Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Exotic4Back.BackgroundImage")));
            this.Exotic4Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Exotic4Back.Eliminated = false;
            this.Exotic4Back.ForeColor = System.Drawing.Color.Black;
            this.Exotic4Back.Location = new System.Drawing.Point(290, 338);
            this.Exotic4Back.MarketID = 0;
            this.Exotic4Back.Name = "Exotic4Back";
            this.Exotic4Back.Price = 0;
            this.Exotic4Back.Size = new System.Drawing.Size(50, 35);
            this.Exotic4Back.TabIndex = 74;
            this.Exotic4Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Exotic3Lay
            // 
            this.Exotic3Lay.Available = 0;
            this.Exotic3Lay.Back = false;
            this.Exotic3Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Exotic3Lay.BackgroundImage")));
            this.Exotic3Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Exotic3Lay.Eliminated = false;
            this.Exotic3Lay.ForeColor = System.Drawing.Color.Black;
            this.Exotic3Lay.Location = new System.Drawing.Point(338, 278);
            this.Exotic3Lay.MarketID = 0;
            this.Exotic3Lay.Name = "Exotic3Lay";
            this.Exotic3Lay.Price = 0;
            this.Exotic3Lay.Size = new System.Drawing.Size(50, 35);
            this.Exotic3Lay.TabIndex = 70;
            this.Exotic3Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Exotic3Back
            // 
            this.Exotic3Back.Available = 0;
            this.Exotic3Back.Back = true;
            this.Exotic3Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Exotic3Back.BackgroundImage")));
            this.Exotic3Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Exotic3Back.Eliminated = false;
            this.Exotic3Back.ForeColor = System.Drawing.Color.Black;
            this.Exotic3Back.Location = new System.Drawing.Point(290, 278);
            this.Exotic3Back.MarketID = 0;
            this.Exotic3Back.Name = "Exotic3Back";
            this.Exotic3Back.Price = 0;
            this.Exotic3Back.Size = new System.Drawing.Size(50, 35);
            this.Exotic3Back.TabIndex = 69;
            this.Exotic3Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Exotic2Lay
            // 
            this.Exotic2Lay.Available = 0;
            this.Exotic2Lay.Back = false;
            this.Exotic2Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Exotic2Lay.BackgroundImage")));
            this.Exotic2Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Exotic2Lay.Eliminated = false;
            this.Exotic2Lay.ForeColor = System.Drawing.Color.Black;
            this.Exotic2Lay.Location = new System.Drawing.Point(113, 338);
            this.Exotic2Lay.MarketID = 0;
            this.Exotic2Lay.Name = "Exotic2Lay";
            this.Exotic2Lay.Price = 0;
            this.Exotic2Lay.Size = new System.Drawing.Size(50, 35);
            this.Exotic2Lay.TabIndex = 65;
            this.Exotic2Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Exotic2Back
            // 
            this.Exotic2Back.Available = 0;
            this.Exotic2Back.Back = true;
            this.Exotic2Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Exotic2Back.BackgroundImage")));
            this.Exotic2Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Exotic2Back.Eliminated = false;
            this.Exotic2Back.ForeColor = System.Drawing.Color.Black;
            this.Exotic2Back.Location = new System.Drawing.Point(65, 338);
            this.Exotic2Back.MarketID = 0;
            this.Exotic2Back.Name = "Exotic2Back";
            this.Exotic2Back.Price = 0;
            this.Exotic2Back.Size = new System.Drawing.Size(50, 35);
            this.Exotic2Back.TabIndex = 64;
            this.Exotic2Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Exotic1Lay
            // 
            this.Exotic1Lay.Available = 0;
            this.Exotic1Lay.Back = false;
            this.Exotic1Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Exotic1Lay.BackgroundImage")));
            this.Exotic1Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Exotic1Lay.Eliminated = false;
            this.Exotic1Lay.ForeColor = System.Drawing.Color.Black;
            this.Exotic1Lay.Location = new System.Drawing.Point(113, 278);
            this.Exotic1Lay.MarketID = 0;
            this.Exotic1Lay.Name = "Exotic1Lay";
            this.Exotic1Lay.Price = 0;
            this.Exotic1Lay.Size = new System.Drawing.Size(50, 35);
            this.Exotic1Lay.TabIndex = 60;
            this.Exotic1Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Exotic1Back
            // 
            this.Exotic1Back.Available = 0;
            this.Exotic1Back.Back = true;
            this.Exotic1Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Exotic1Back.BackgroundImage")));
            this.Exotic1Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Exotic1Back.Eliminated = false;
            this.Exotic1Back.ForeColor = System.Drawing.Color.Black;
            this.Exotic1Back.Location = new System.Drawing.Point(65, 278);
            this.Exotic1Back.MarketID = 0;
            this.Exotic1Back.Name = "Exotic1Back";
            this.Exotic1Back.Price = 0;
            this.Exotic1Back.Size = new System.Drawing.Size(50, 35);
            this.Exotic1Back.TabIndex = 59;
            this.Exotic1Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Player1Lay
            // 
            this.Player1Lay.Available = 0;
            this.Player1Lay.Back = false;
            this.Player1Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Player1Lay.BackgroundImage")));
            this.Player1Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Player1Lay.Eliminated = false;
            this.Player1Lay.ForeColor = System.Drawing.Color.Black;
            this.Player1Lay.Location = new System.Drawing.Point(113, 122);
            this.Player1Lay.MarketID = 0;
            this.Player1Lay.Name = "Player1Lay";
            this.Player1Lay.Price = 0;
            this.Player1Lay.Size = new System.Drawing.Size(50, 35);
            this.Player1Lay.TabIndex = 35;
            this.Player1Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Player1Back
            // 
            this.Player1Back.Available = 0;
            this.Player1Back.Back = true;
            this.Player1Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Player1Back.BackgroundImage")));
            this.Player1Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Player1Back.Eliminated = false;
            this.Player1Back.ForeColor = System.Drawing.Color.Black;
            this.Player1Back.Location = new System.Drawing.Point(65, 122);
            this.Player1Back.MarketID = 0;
            this.Player1Back.Name = "Player1Back";
            this.Player1Back.Price = 0;
            this.Player1Back.Size = new System.Drawing.Size(50, 35);
            this.Player1Back.TabIndex = 31;
            this.Player1Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // ProgressGrey
            // 
            this.ProgressGrey.Image = ((System.Drawing.Image)(resources.GetObject("ProgressGrey.Image")));
            this.ProgressGrey.Location = new System.Drawing.Point(355, 3);
            this.ProgressGrey.Name = "ProgressGrey";
            this.ProgressGrey.Size = new System.Drawing.Size(7, 0);
            this.ProgressGrey.TabIndex = 125;
            this.ProgressGrey.TabStop = false;
            // 
            // ProgressBar
            // 
            this.ProgressBar.Image = ((System.Drawing.Image)(resources.GetObject("ProgressBar.Image")));
            this.ProgressBar.Location = new System.Drawing.Point(355, 3);
            this.ProgressBar.Name = "ProgressBar";
            this.ProgressBar.Size = new System.Drawing.Size(7, 63);
            this.ProgressBar.TabIndex = 124;
            this.ProgressBar.TabStop = false;
            // 
            // Player1Card5
            // 
            this.Player1Card5.BackColor = System.Drawing.Color.White;
            this.Player1Card5.Image = ((System.Drawing.Image)(resources.GetObject("Player1Card5.Image")));
            this.Player1Card5.Location = new System.Drawing.Point(133, 73);
            this.Player1Card5.Name = "Player1Card5";
            this.Player1Card5.Size = new System.Drawing.Size(30, 35);
            this.Player1Card5.TabIndex = 127;
            this.Player1Card5.TabStop = false;
            this.Player1Card5.Visible = false;
            // 
            // Player1Card4
            // 
            this.Player1Card4.BackColor = System.Drawing.Color.White;
            this.Player1Card4.Image = ((System.Drawing.Image)(resources.GetObject("Player1Card4.Image")));
            this.Player1Card4.Location = new System.Drawing.Point(116, 73);
            this.Player1Card4.Name = "Player1Card4";
            this.Player1Card4.Size = new System.Drawing.Size(30, 35);
            this.Player1Card4.TabIndex = 126;
            this.Player1Card4.TabStop = false;
            this.Player1Card4.Visible = false;
            // 
            // Player1Stood
            // 
            this.Player1Stood.BackColor = System.Drawing.Color.Transparent;
            this.Player1Stood.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Player1Stood.ForeColor = System.Drawing.Color.Black;
            this.Player1Stood.Location = new System.Drawing.Point(16, 109);
            this.Player1Stood.Name = "Player1Stood";
            this.Player1Stood.Size = new System.Drawing.Size(36, 11);
            this.Player1Stood.TabIndex = 128;
            this.Player1Stood.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // Player3Stood
            // 
            this.Player3Stood.BackColor = System.Drawing.Color.Transparent;
            this.Player3Stood.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Player3Stood.ForeColor = System.Drawing.Color.Black;
            this.Player3Stood.Location = new System.Drawing.Point(16, 199);
            this.Player3Stood.Name = "Player3Stood";
            this.Player3Stood.Size = new System.Drawing.Size(36, 11);
            this.Player3Stood.TabIndex = 129;
            this.Player3Stood.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // Player4Stood
            // 
            this.Player4Stood.BackColor = System.Drawing.Color.Transparent;
            this.Player4Stood.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Player4Stood.ForeColor = System.Drawing.Color.Black;
            this.Player4Stood.Location = new System.Drawing.Point(242, 199);
            this.Player4Stood.Name = "Player4Stood";
            this.Player4Stood.Size = new System.Drawing.Size(36, 11);
            this.Player4Stood.TabIndex = 129;
            this.Player4Stood.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // Player2Stood
            // 
            this.Player2Stood.BackColor = System.Drawing.Color.Transparent;
            this.Player2Stood.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Player2Stood.ForeColor = System.Drawing.Color.Black;
            this.Player2Stood.Location = new System.Drawing.Point(242, 109);
            this.Player2Stood.Name = "Player2Stood";
            this.Player2Stood.Size = new System.Drawing.Size(36, 11);
            this.Player2Stood.TabIndex = 129;
            this.Player2Stood.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // SuspendedLabel
            // 
            this.SuspendedLabel.BackColor = System.Drawing.Color.LightPink;
            this.SuspendedLabel.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.SuspendedLabel.Font = new System.Drawing.Font("Tahoma", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.SuspendedLabel.ForeColor = System.Drawing.Color.Black;
            this.SuspendedLabel.Location = new System.Drawing.Point(154, 208);
            this.SuspendedLabel.Name = "SuspendedLabel";
            this.SuspendedLabel.Size = new System.Drawing.Size(119, 29);
            this.SuspendedLabel.TabIndex = 130;
            this.SuspendedLabel.Text = "Suspended...";
            this.SuspendedLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            this.SuspendedLabel.Visible = false;
            // 
            // BlackjackView
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.BackColor = System.Drawing.SystemColors.Control;
            this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
            this.Controls.Add(this.SuspendedLabel);
            this.Controls.Add(this.Player2Stood);
            this.Controls.Add(this.Player4Stood);
            this.Controls.Add(this.Player3Stood);
            this.Controls.Add(this.Player1Stood);
            this.Controls.Add(this.Player1Card5);
            this.Controls.Add(this.Player1Card4);
            this.Controls.Add(this.ProgressGrey);
            this.Controls.Add(this.ProgressBar);
            this.Controls.Add(this.Player4Card5);
            this.Controls.Add(this.Player4Card4);
            this.Controls.Add(this.Player4Card3);
            this.Controls.Add(this.Player4Card2);
            this.Controls.Add(this.Player4Card1);
            this.Controls.Add(this.Player4Lay);
            this.Controls.Add(this.Player4Back);
            this.Controls.Add(this.Player4Status);
            this.Controls.Add(Player4Label);
            this.Controls.Add(this.Player4DescriptionLabel);
            this.Controls.Add(this.Player3Card5);
            this.Controls.Add(this.Player3Card4);
            this.Controls.Add(this.Player3Card3);
            this.Controls.Add(this.Player3Card2);
            this.Controls.Add(this.Player3Card1);
            this.Controls.Add(this.Player3Lay);
            this.Controls.Add(this.Player3Back);
            this.Controls.Add(this.Player3Status);
            this.Controls.Add(Player3Label);
            this.Controls.Add(this.Player3DescriptionLabel);
            this.Controls.Add(this.Player2Card5);
            this.Controls.Add(this.Player2Card4);
            this.Controls.Add(this.Player2Card3);
            this.Controls.Add(this.Player2Card2);
            this.Controls.Add(this.Player2Card1);
            this.Controls.Add(this.Player2Lay);
            this.Controls.Add(this.Player2Back);
            this.Controls.Add(this.Player2Status);
            this.Controls.Add(Player2Label);
            this.Controls.Add(this.Player2DescriptionLabel);
            this.Controls.Add(this.Player1Card3);
            this.Controls.Add(this.Player1Card2);
            this.Controls.Add(this.Player1Card1);
            this.Controls.Add(label1);
            this.Controls.Add(this.DealerDescriptionLabel);
            this.Controls.Add(this.Round7Label);
            this.Controls.Add(this.Round6Label);
            this.Controls.Add(label9);
            this.Controls.Add(this.Exotic4Lay);
            this.Controls.Add(this.Exotic4Back);
            this.Controls.Add(this.Exotic4Status);
            this.Controls.Add(label6);
            this.Controls.Add(this.Exotic3Lay);
            this.Controls.Add(this.Exotic3Back);
            this.Controls.Add(this.Exotic3Status);
            this.Controls.Add(label2);
            this.Controls.Add(this.Exotic2Lay);
            this.Controls.Add(this.Exotic2Back);
            this.Controls.Add(this.Exotic2Status);
            this.Controls.Add(Exotic1Label);
            this.Controls.Add(this.Exotic1Lay);
            this.Controls.Add(this.Exotic1Back);
            this.Controls.Add(this.Exotic1Status);
            this.Controls.Add(this.Player1Lay);
            this.Controls.Add(this.Player1Back);
            this.Controls.Add(this.Player1Status);
            this.Controls.Add(Player1Label);
            this.Controls.Add(this.Round5Label);
            this.Controls.Add(this.Round4Label);
            this.Controls.Add(this.Round3Label);
            this.Controls.Add(this.Round2Label);
            this.Controls.Add(this.Round1Label);
            this.Controls.Add(this.GameTitle);
            this.Controls.Add(this.Player1DescriptionLabel);
            this.Controls.Add(this.DealerCard5);
            this.Controls.Add(this.DealerCard4);
            this.Controls.Add(this.DealerCard3);
            this.Controls.Add(this.DealerCard2);
            this.Controls.Add(this.DealerCard1);
            this.Location = new System.Drawing.Point(-1, 40);
            this.Name = "BlackjackView";
            this.Size = new System.Drawing.Size(426, 384);
            ((System.ComponentModel.ISupportInitialize)(this.DealerCard2)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.DealerCard1)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.DealerCard4)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.DealerCard5)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.DealerCard3)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player1Card1)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player1Card2)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player1Card3)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player2Card5)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player2Card4)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player2Card3)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player2Card2)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player2Card1)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player3Card5)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player3Card4)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player3Card3)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player3Card2)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player3Card1)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player4Card5)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player4Card4)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player4Card3)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player4Card2)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player4Card1)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.ProgressGrey)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.ProgressBar)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player1Card5)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Player1Card4)).EndInit();
            this.ResumeLayout(false);

        }
        #endregion

        /// <summary>
        /// Updates all the game data in the panel
        /// </summary>
        public channelSnapshot CurrentChannelSnapshot
        {
            get
            {
                return channelSnapshot;
            }
            set
            {
                channelSnapshot = value;
                _UpdateDisplay();
            }
        }

        /// <summary>
        /// Redraw view
        /// </summary>
        private void _UpdateDisplay() 
		{
            gameData = channelSnapshot.channel.game.gameData;
            market = channelSnapshot.channel.game.markets.market[0];

            if (market.selections.selection == null)
            {
                return;
            }

            player1Selection = market.selections.selection[0];
            player2Selection = market.selections.selection[1];
            player3Selection = market.selections.selection[2];
            player4Selection = market.selections.selection[3];
            exotic1Selection = market.selections.selection[4];
            exotic2Selection = market.selections.selection[5];
            exotic3Selection = market.selections.selection[6];
            exotic4Selection = market.selections.selection[7];

            // only do some stuff once
            if (roundId != channelSnapshot.channel.game.round)
            {
                _PaintGameInfoOnce();
                _PaintMovie();
            }

            if (channelSnapshot.channel.game.markets.market[0].status == marketStatusEnum.ACTIVE)
            {
                roundId = channelSnapshot.channel.game.round;
            }

            // special case in round 3, paint cards on each update to display stepped dealing info
            if (roundId == 3)
            {
                _PaintMovie();
            }

            UpdateProgressBar(channelSnapshot, ProgressGrey, ProgressBar);
            _PaintMarketData();
        }

        /// <summary>
        /// Game info to paint once per round
        /// </summary>
        private void _PaintGameInfoOnce()
        {
            // set title
            GameTitle.Text = channelSnapshot.channel.name;

            // set round
            _SetRound();
        }

        /// <summary>
        /// Movie info to paint once (cards/descriptions)
        /// </summary>
        private void _PaintMovie()
        {
            Image cardBack = GetCardResourceImage(null, false);

            if (channelSnapshot.channel.game.round == 1)
            {
                Player1Card1.Image = cardBack;
                Player1Card2.Image = cardBack;
                Player1Card3.Image = cardBack;
                Player1Card4.Image = cardBack;
                Player1Card5.Image = cardBack;
                Player1Card3.Visible = false;
                Player1Card4.Visible = false;
                Player1Card5.Visible = false;

                Player2Card1.Image = cardBack;
                Player2Card2.Image = cardBack;
                Player2Card3.Image = cardBack;
                Player2Card4.Image = cardBack;
                Player2Card5.Image = cardBack;
                Player2Card3.Visible = false;
                Player2Card4.Visible = false;
                Player2Card5.Visible = false;

                Player3Card1.Image = cardBack;
                Player3Card2.Image = cardBack;
                Player3Card3.Image = cardBack;
                Player3Card4.Image = cardBack;
                Player3Card5.Image = cardBack;
                Player3Card3.Visible = false;
                Player3Card4.Visible = false;
                Player3Card5.Visible = false;

                Player4Card1.Image = cardBack;
                Player4Card2.Image = cardBack;
                Player4Card3.Image = cardBack;
                Player4Card4.Image = cardBack;
                Player4Card5.Image = cardBack;
                Player4Card3.Visible = false;
                Player4Card4.Visible = false;
                Player4Card5.Visible = false;

                DealerCard1.Image = cardBack;
                DealerCard2.Image = cardBack;
                DealerCard3.Image = cardBack;
                DealerCard4.Image = cardBack;
                DealerCard5.Image = cardBack;
                DealerCard3.Visible = false;
                DealerCard4.Visible = false;
                DealerCard5.Visible = false;

                Player1Stood.Text = string.Empty;
                Player2Stood.Text = string.Empty;
                Player3Stood.Text = string.Empty;
                Player4Stood.Text = string.Empty;
            }

            if (channelSnapshot.channel.game.gameData.Length == 5)
            {
                _ShowPlayerCards(channelSnapshot.channel.game.gameData[0], Player1Card1, Player1Card2, Player1Card3, Player1Card4, Player1Card5);
                _ShowPlayerCards(channelSnapshot.channel.game.gameData[1], Player2Card1, Player2Card2, Player2Card3, Player2Card4, Player2Card5);
                _ShowPlayerCards(channelSnapshot.channel.game.gameData[2], Player3Card1, Player3Card2, Player3Card3, Player3Card4, Player3Card5);
                _ShowPlayerCards(channelSnapshot.channel.game.gameData[3], Player4Card1, Player4Card2, Player4Card3, Player4Card4, Player4Card5);
                _ShowPlayerCards(channelSnapshot.channel.game.gameData[4], DealerCard1, DealerCard2, DealerCard3, DealerCard4, DealerCard5);

                if (channelSnapshot.channel.game.gameData[0].status == "STOOD")
                {
                    Player1Stood.Text = "-Stood-";
                }
                if (channelSnapshot.channel.game.gameData[1].status == "STOOD")
                {
                    Player2Stood.Text = "-Stood-";
                }
                if (channelSnapshot.channel.game.gameData[2].status == "STOOD")
                {
                    Player3Stood.Text = "-Stood-";
                }
                if (channelSnapshot.channel.game.gameData[3].status == "STOOD")
                {
                    Player4Stood.Text = "-Stood-";
                }
            }

            SetPlayerDescription(gameData[0].description, Player1DescriptionLabel);
            SetPlayerDescription(gameData[1].description, Player2DescriptionLabel);
            SetPlayerDescription(gameData[2].description, Player3DescriptionLabel);
            SetPlayerDescription(gameData[3].description, Player4DescriptionLabel);
            SetPlayerDescription(gameData[4].description, DealerDescriptionLabel);
        }

        private void _ShowPlayerCards(gameDataObject gameData, PictureBox card1, PictureBox card2, PictureBox card3, PictureBox card4, PictureBox card5)
        {
            if (gameData.property.Length > 1)
            {
                card1.Image = GetCardResourceImage(gameData.property[0].value, false);
                card2.Image = GetCardResourceImage(gameData.property[1].value, false);
                card2.BringToFront();

                if (gameData.property.Length > 2)
                {
                    card3.Visible = true;
                    card3.Image = GetCardResourceImage(gameData.property[2].value, false);
                    card3.BringToFront();

                    if (gameData.property.Length > 3)
                    {
                        card4.Visible = true;
                        card4.Image = GetCardResourceImage(gameData.property[3].value, false);
                        card4.BringToFront();

                        if (gameData.property.Length > 4)
                        {
                            card5.Visible = true;
                            card5.Image = GetCardResourceImage(gameData.property[4].value, false);
                            card5.BringToFront();
                        }
                    }
                }
            }
        }

        /// <summary>
        /// Paint market data on every update
        /// </summary>
        private void _PaintMarketData() 
		{
            SetPlayerStatus(player1Selection.status, Player1Status, Player1Back, Player1Lay);
            SetPlayerStatus(player2Selection.status, Player2Status, Player2Back, Player2Lay);
            SetPlayerStatus(player3Selection.status, Player3Status, Player3Back, Player3Lay);
            SetPlayerStatus(player4Selection.status, Player4Status, Player4Back, Player4Lay);

            SetPlayerStatus(exotic1Selection.status, Exotic1Status, Exotic1Back, Exotic1Lay);
            SetPlayerStatus(exotic2Selection.status, Exotic2Status, Exotic2Back, Exotic2Lay);
            SetPlayerStatus(exotic3Selection.status, Exotic3Status, Exotic3Back, Exotic3Lay);
            SetPlayerStatus(exotic4Selection.status, Exotic4Status, Exotic4Back, Exotic4Lay);

            // Check if the market is active.  If not then we need to clear all the bets
            if (market.status != marketStatusEnum.ACTIVE)
			{
                ClearBets();
                _ToggleBetLayPanels(false);

                if (SuspendedLabel.Visible == false)
                {
                    SuspendedLabel.Show();
                }
            }
			else
			{
                if (SuspendedLabel.Visible == true)
                {
                    SuspendedLabel.Hide();
                }

                _ToggleBetLayPanels(true);

                SetOddsPanel(Player1Back, market.id, player1Selection);
                SetOddsPanel(Player1Lay, market.id, player1Selection);
                SetOddsPanel(Player2Back, market.id, player2Selection);
                SetOddsPanel(Player2Lay, market.id, player2Selection);
                SetOddsPanel(Player3Back, market.id, player3Selection);
                SetOddsPanel(Player3Lay, market.id, player3Selection);
                SetOddsPanel(Player4Back, market.id, player4Selection);
                SetOddsPanel(Player4Lay, market.id, player4Selection);

                SetOddsPanel(Exotic1Back, market.id, exotic1Selection);
                SetOddsPanel(Exotic1Lay, market.id, exotic1Selection);
                SetOddsPanel(Exotic2Back, market.id, exotic2Selection);
                SetOddsPanel(Exotic2Lay, market.id, exotic2Selection);
                SetOddsPanel(Exotic3Back, market.id, exotic3Selection);
                SetOddsPanel(Exotic3Lay, market.id, exotic3Selection);
                SetOddsPanel(Exotic4Back, market.id, exotic4Selection);
                SetOddsPanel(Exotic4Lay, market.id, exotic4Selection);
            }
		}

        /// <summary>
        /// Enables or disables the buttons allowing bets to be placed
        /// </summary>
        /// <param name="enabled"></param>
        private void _ToggleBetLayPanels(bool enabled)
        {
            // remove the price and available if we are disabling the panel
            if (enabled == false)
            {
                Player1Back.Clear();
                Player1Lay.Clear();
                Player2Back.Clear();
                Player2Lay.Clear();
                Player3Back.Clear();
                Player3Lay.Clear();
                Player4Back.Clear();
                Player4Lay.Clear();

                Exotic1Back.Clear();
                Exotic1Lay.Clear();
                Exotic2Back.Clear();
                Exotic2Lay.Clear();
                Exotic3Back.Clear();
                Exotic3Lay.Clear();
                Exotic4Back.Clear();
                Exotic4Lay.Clear();
            }

            Player1Back.Enabled = enabled;
            Player1Lay.Enabled = enabled;
            Player2Back.Enabled = enabled;
            Player2Lay.Enabled = enabled;
            Player3Back.Enabled = enabled;
            Player3Lay.Enabled = enabled;
            Player4Back.Enabled = enabled;
            Player4Lay.Enabled = enabled;

            Exotic1Back.Enabled = enabled;
            Exotic1Lay.Enabled = enabled;
            Exotic2Back.Enabled = enabled;
            Exotic2Lay.Enabled = enabled;
            Exotic3Back.Enabled = enabled;
            Exotic3Lay.Enabled = enabled;
            Exotic4Back.Enabled = enabled;
            Exotic4Lay.Enabled = enabled;
        }

        private void _SetRound()
        {
            Round1Label.Font = fn;
            Round2Label.Font = fn;
            Round3Label.Font = fn;
            Round4Label.Font = fn;
            Round5Label.Font = fn;
            Round6Label.Font = fn;
            Round7Label.Font = fn;

            switch (channelSnapshot.channel.game.round)
            {
                case 1:
                    Round1Label.Font = fb; break;
                case 2:
                    Round2Label.Font = fb; break;
                case 3:
                    Round3Label.Font = fb; break;
                case 4: 
                    Round4Label.Font = fb; break;
                case 5:
                    Round5Label.Font = fb; break;
                case 6:
                    Round6Label.Font = fb; break;
                case 7: 
                    Round7Label.Font = fb; break;
            }
        }

        private void SelectionClicked(object sender, System.EventArgs e)
        {
            SelectionClicked(ShowBetPlacement, sender, channelSnapshot, m_Parent.Account);
        }

        private void OnClearBets()
        {
            if (ClearBets != null)
            {
                ClearBets();
            }
        }
	}
}
