using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;
using Poker.Classes;
using Betfair.Gamex.API.Entities;
using System.Reflection;

namespace Poker.Controls.GameView
{
	/// <summary>
	/// Summary description for ctlHiLo.
	/// </summary>
    public class HiLoView : Poker.Controls.GameView.GameViewBase, IGameControl
    {
        #region Form Controls
		private System.Windows.Forms.PictureBox Card1;
		private System.Windows.Forms.PictureBox Card2;
		private System.Windows.Forms.PictureBox Card4;
		private System.Windows.Forms.PictureBox Card3;
		private System.Windows.Forms.PictureBox Card8;
		private System.Windows.Forms.PictureBox Card7;
		private System.Windows.Forms.PictureBox Card6;
		private System.Windows.Forms.PictureBox Card5;
		private System.Windows.Forms.PictureBox Card13;
		private System.Windows.Forms.PictureBox Card12;
		private System.Windows.Forms.PictureBox Card9;
		private System.Windows.Forms.PictureBox Card10;
        private System.Windows.Forms.PictureBox Card11;
		private Poker.Controls.OddsPanel Card1Back;
		private Poker.Controls.OddsPanel Card1Lay;
		private Poker.Controls.OddsPanel Card2Back;
		private Poker.Controls.OddsPanel Card3Back;
		private Poker.Controls.OddsPanel Card9Back;
		private Poker.Controls.OddsPanel Card4Back;
		private Poker.Controls.OddsPanel Card5Back;
		private Poker.Controls.OddsPanel Card6Back;
		private Poker.Controls.OddsPanel Card8Back;
        private Poker.Controls.OddsPanel Card7Back;
		private Poker.Controls.OddsPanel Card2Lay;
		private Poker.Controls.OddsPanel Card7Lay;
		private Poker.Controls.OddsPanel Card3Lay;
		private Poker.Controls.OddsPanel Card6Lay;
		private Poker.Controls.OddsPanel Card4Lay;
		private Poker.Controls.OddsPanel Card5Lay;
		private Poker.Controls.OddsPanel Card8Lay;
		private Poker.Controls.OddsPanel Card9Lay;
        private Poker.Controls.OddsPanel Card10Lay;
        private Poker.Controls.OddsPanel Card11Lay;
		private System.Windows.Forms.Label label12;
		private System.Windows.Forms.Label label13;
		private System.Windows.Forms.Label label14;
		private Poker.Controls.OddsPanel CardRun2Back;
		private Poker.Controls.OddsPanel CardRun3Back;
		private Poker.Controls.OddsPanel CardRun4Back;
		private Poker.Controls.OddsPanel CardRun4Lay;
		private Poker.Controls.OddsPanel NoAceBack;
		private Poker.Controls.OddsPanel NoAcesLay;
		private Poker.Controls.OddsPanel NoPicsBack;
		private Poker.Controls.OddsPanel NoPicsLay;
		private System.Windows.Forms.Label label15;
		private System.Windows.Forms.Label label16;
		private Poker.Controls.OddsPanel CardRun3Lay;
        private Poker.Controls.OddsPanel CardRun2Lay;
        private OddsPanel Card11Back;
        private Label SuspendedLabel;
        private OddsPanel Card10Back;
		private System.Windows.Forms.Label GameTitleLabel;
        #endregion

        public event ShowBetPlaceHandler ShowBetPlacement;
        public event ClearBetsHandler ClearBets;
        private channelSnapshot channelSnapshot;
        private MainForm m_Parent;

        private int roundId = 0;
        private gameDataObject[] gameData;
        private marketSnapshot market;
        private marketSnapshot secondaryMarket;
        private selectionSnapshot card1OrFurther;
        private selectionSnapshot card2OrFurther;
        private selectionSnapshot card3OrFurther;
        private selectionSnapshot card4OrFurther;
        private selectionSnapshot card5OrFurther;
        private selectionSnapshot card6OrFurther;
        private selectionSnapshot card7OrFurther;
        private selectionSnapshot card8OrFurther;
        private selectionSnapshot card9OrFurther;
        private selectionSnapshot card10OrFurther;
        private selectionSnapshot card11;
        private selectionSnapshot cardRun2;
        private selectionSnapshot cardRun3;
        private selectionSnapshot cardRun4;
        private selectionSnapshot noAce;
        private PictureBox ProgressGrey;
        private PictureBox ProgressBar;
        private selectionSnapshot noPics;

        public HiLoView(MainForm parent)
		{
			// This call is required by the Windows.Forms Form Designer.
			InitializeComponent();
			m_Parent = parent;
		}

        #region Component Designer generated code
        /// <summary> 
        /// Required method for Designer support - do not modify 
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            System.Windows.Forms.Label label10;
            System.Windows.Forms.Label label1;
            System.Windows.Forms.Label label2;
            System.Windows.Forms.Label label3;
            System.Windows.Forms.Label label4;
            System.Windows.Forms.Label label5;
            System.Windows.Forms.Label label6;
            System.Windows.Forms.Label label7;
            System.Windows.Forms.Label label8;
            System.Windows.Forms.Label label17;
            System.Windows.Forms.Label label18;
            System.Windows.Forms.Label label19;
            System.Windows.Forms.Label label20;
            System.Windows.Forms.Label label21;
            System.Windows.Forms.Label label22;
            System.Windows.Forms.Label label23;
            System.Windows.Forms.Label label24;
            System.Windows.Forms.Label label25;
            System.Windows.Forms.Label label26;
            System.Windows.Forms.Label label27;
            System.Windows.Forms.Label label28;
            System.Windows.Forms.Label label29;
            System.Windows.Forms.Label label30;
            System.Windows.Forms.Label label31;
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(HiLoView));
            this.GameTitleLabel = new System.Windows.Forms.Label();
            this.Card1 = new System.Windows.Forms.PictureBox();
            this.Card2 = new System.Windows.Forms.PictureBox();
            this.Card4 = new System.Windows.Forms.PictureBox();
            this.Card3 = new System.Windows.Forms.PictureBox();
            this.Card8 = new System.Windows.Forms.PictureBox();
            this.Card7 = new System.Windows.Forms.PictureBox();
            this.Card6 = new System.Windows.Forms.PictureBox();
            this.Card5 = new System.Windows.Forms.PictureBox();
            this.Card13 = new System.Windows.Forms.PictureBox();
            this.Card12 = new System.Windows.Forms.PictureBox();
            this.Card9 = new System.Windows.Forms.PictureBox();
            this.Card10 = new System.Windows.Forms.PictureBox();
            this.Card11 = new System.Windows.Forms.PictureBox();
            this.label12 = new System.Windows.Forms.Label();
            this.label13 = new System.Windows.Forms.Label();
            this.label14 = new System.Windows.Forms.Label();
            this.label15 = new System.Windows.Forms.Label();
            this.label16 = new System.Windows.Forms.Label();
            this.SuspendedLabel = new System.Windows.Forms.Label();
            this.NoPicsBack = new Poker.Controls.OddsPanel();
            this.NoPicsLay = new Poker.Controls.OddsPanel();
            this.NoAceBack = new Poker.Controls.OddsPanel();
            this.NoAcesLay = new Poker.Controls.OddsPanel();
            this.CardRun4Back = new Poker.Controls.OddsPanel();
            this.CardRun4Lay = new Poker.Controls.OddsPanel();
            this.CardRun3Back = new Poker.Controls.OddsPanel();
            this.CardRun3Lay = new Poker.Controls.OddsPanel();
            this.CardRun2Back = new Poker.Controls.OddsPanel();
            this.CardRun2Lay = new Poker.Controls.OddsPanel();
            this.Card11Lay = new Poker.Controls.OddsPanel();
            this.Card11Back = new Poker.Controls.OddsPanel();
            this.Card10Lay = new Poker.Controls.OddsPanel();
            this.Card5Lay = new Poker.Controls.OddsPanel();
            this.Card6Lay = new Poker.Controls.OddsPanel();
            this.Card7Lay = new Poker.Controls.OddsPanel();
            this.Card2Lay = new Poker.Controls.OddsPanel();
            this.Card10Back = new Poker.Controls.OddsPanel();
            this.Card8Back = new Poker.Controls.OddsPanel();
            this.Card6Back = new Poker.Controls.OddsPanel();
            this.Card5Back = new Poker.Controls.OddsPanel();
            this.Card9Back = new Poker.Controls.OddsPanel();
            this.Card3Back = new Poker.Controls.OddsPanel();
            this.Card2Back = new Poker.Controls.OddsPanel();
            this.Card1Lay = new Poker.Controls.OddsPanel();
            this.Card1Back = new Poker.Controls.OddsPanel();
            this.Card4Back = new Poker.Controls.OddsPanel();
            this.Card7Back = new Poker.Controls.OddsPanel();
            this.Card3Lay = new Poker.Controls.OddsPanel();
            this.Card4Lay = new Poker.Controls.OddsPanel();
            this.Card8Lay = new Poker.Controls.OddsPanel();
            this.Card9Lay = new Poker.Controls.OddsPanel();
            this.ProgressGrey = new System.Windows.Forms.PictureBox();
            this.ProgressBar = new System.Windows.Forms.PictureBox();
            label10 = new System.Windows.Forms.Label();
            label1 = new System.Windows.Forms.Label();
            label2 = new System.Windows.Forms.Label();
            label3 = new System.Windows.Forms.Label();
            label4 = new System.Windows.Forms.Label();
            label5 = new System.Windows.Forms.Label();
            label6 = new System.Windows.Forms.Label();
            label7 = new System.Windows.Forms.Label();
            label8 = new System.Windows.Forms.Label();
            label17 = new System.Windows.Forms.Label();
            label18 = new System.Windows.Forms.Label();
            label19 = new System.Windows.Forms.Label();
            label20 = new System.Windows.Forms.Label();
            label21 = new System.Windows.Forms.Label();
            label22 = new System.Windows.Forms.Label();
            label23 = new System.Windows.Forms.Label();
            label24 = new System.Windows.Forms.Label();
            label25 = new System.Windows.Forms.Label();
            label26 = new System.Windows.Forms.Label();
            label27 = new System.Windows.Forms.Label();
            label28 = new System.Windows.Forms.Label();
            label29 = new System.Windows.Forms.Label();
            label30 = new System.Windows.Forms.Label();
            label31 = new System.Windows.Forms.Label();
            ((System.ComponentModel.ISupportInitialize)(this.Card1)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card2)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card4)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card3)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card8)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card7)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card6)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card5)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card13)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card12)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card9)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card10)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card11)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.ProgressGrey)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.ProgressBar)).BeginInit();
            this.SuspendLayout();
            // 
            // label10
            // 
            label10.BackColor = System.Drawing.Color.Transparent;
            label10.Font = new System.Drawing.Font("Tahoma", 7F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            label10.ForeColor = System.Drawing.Color.RoyalBlue;
            label10.Location = new System.Drawing.Point(2, 98);
            label10.Name = "label10";
            label10.Size = new System.Drawing.Size(92, 16);
            label10.TabIndex = 108;
            label10.Text = "Card1 or further";
            label10.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label1
            // 
            label1.BackColor = System.Drawing.Color.Transparent;
            label1.Font = new System.Drawing.Font("Tahoma", 7F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            label1.ForeColor = System.Drawing.Color.RoyalBlue;
            label1.Location = new System.Drawing.Point(2, 133);
            label1.Name = "label1";
            label1.Size = new System.Drawing.Size(92, 16);
            label1.TabIndex = 138;
            label1.Text = "Card 2 or further";
            label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label2
            // 
            label2.BackColor = System.Drawing.Color.Transparent;
            label2.Font = new System.Drawing.Font("Tahoma", 7F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            label2.ForeColor = System.Drawing.Color.RoyalBlue;
            label2.Location = new System.Drawing.Point(2, 241);
            label2.Name = "label2";
            label2.Size = new System.Drawing.Size(92, 16);
            label2.TabIndex = 139;
            label2.Text = "Card 5 or further";
            label2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label3
            // 
            label3.BackColor = System.Drawing.Color.Transparent;
            label3.Font = new System.Drawing.Font("Tahoma", 7F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            label3.ForeColor = System.Drawing.Color.RoyalBlue;
            label3.Location = new System.Drawing.Point(2, 169);
            label3.Name = "label3";
            label3.Size = new System.Drawing.Size(92, 16);
            label3.TabIndex = 140;
            label3.Text = "Card 3 or further";
            label3.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label4
            // 
            label4.BackColor = System.Drawing.Color.Transparent;
            label4.Font = new System.Drawing.Font("Tahoma", 7F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            label4.ForeColor = System.Drawing.Color.RoyalBlue;
            label4.Location = new System.Drawing.Point(2, 206);
            label4.Name = "label4";
            label4.Size = new System.Drawing.Size(92, 16);
            label4.TabIndex = 141;
            label4.Text = "Card 4 or further";
            label4.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label5
            // 
            label5.BackColor = System.Drawing.Color.Transparent;
            label5.Font = new System.Drawing.Font("Tahoma", 7F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            label5.ForeColor = System.Drawing.Color.RoyalBlue;
            label5.Location = new System.Drawing.Point(2, 277);
            label5.Name = "label5";
            label5.Size = new System.Drawing.Size(92, 16);
            label5.TabIndex = 142;
            label5.Text = "Card 6 or further";
            label5.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label6
            // 
            label6.BackColor = System.Drawing.Color.Transparent;
            label6.Font = new System.Drawing.Font("Tahoma", 7F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            label6.ForeColor = System.Drawing.Color.RoyalBlue;
            label6.Location = new System.Drawing.Point(2, 313);
            label6.Name = "label6";
            label6.Size = new System.Drawing.Size(92, 16);
            label6.TabIndex = 143;
            label6.Text = "Card 7 or further";
            label6.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label7
            // 
            label7.BackColor = System.Drawing.Color.Transparent;
            label7.Font = new System.Drawing.Font("Tahoma", 7F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            label7.ForeColor = System.Drawing.Color.RoyalBlue;
            label7.Location = new System.Drawing.Point(2, 346);
            label7.Name = "label7";
            label7.Size = new System.Drawing.Size(92, 24);
            label7.TabIndex = 144;
            label7.Text = "Card 8 or further";
            label7.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label8
            // 
            label8.BackColor = System.Drawing.Color.Transparent;
            label8.Font = new System.Drawing.Font("Tahoma", 7F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            label8.ForeColor = System.Drawing.Color.RoyalBlue;
            label8.Location = new System.Drawing.Point(214, 94);
            label8.Name = "label8";
            label8.Size = new System.Drawing.Size(95, 24);
            label8.TabIndex = 145;
            label8.Text = "Card 9 or further";
            label8.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label17
            // 
            label17.BackColor = System.Drawing.Color.Transparent;
            label17.Font = new System.Drawing.Font("Tahoma", 7F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            label17.ForeColor = System.Drawing.Color.RoyalBlue;
            label17.Location = new System.Drawing.Point(214, 129);
            label17.Name = "label17";
            label17.Size = new System.Drawing.Size(99, 24);
            label17.TabIndex = 155;
            label17.Text = "Card 10 or further";
            label17.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label18
            // 
            label18.BackColor = System.Drawing.Color.Transparent;
            label18.Font = new System.Drawing.Font("Tahoma", 7F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            label18.ForeColor = System.Drawing.Color.RoyalBlue;
            label18.Location = new System.Drawing.Point(214, 165);
            label18.Name = "label18";
            label18.Size = new System.Drawing.Size(97, 24);
            label18.TabIndex = 156;
            label18.Text = "Card 11";
            label18.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label19
            // 
            label19.BackColor = System.Drawing.Color.Transparent;
            label19.Font = new System.Drawing.Font("Tahoma", 6.75F);
            label19.ForeColor = System.Drawing.Color.Black;
            label19.Location = new System.Drawing.Point(6, 63);
            label19.Name = "label19";
            label19.Size = new System.Drawing.Size(25, 11);
            label19.TabIndex = 157;
            label19.Text = "Start";
            label19.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label20
            // 
            label20.BackColor = System.Drawing.Color.Transparent;
            label20.Font = new System.Drawing.Font("Tahoma", 6.75F);
            label20.ForeColor = System.Drawing.Color.Black;
            label20.Location = new System.Drawing.Point(44, 63);
            label20.Name = "label20";
            label20.Size = new System.Drawing.Size(9, 11);
            label20.TabIndex = 158;
            label20.Text = "1";
            label20.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label21
            // 
            label21.BackColor = System.Drawing.Color.Transparent;
            label21.Font = new System.Drawing.Font("Tahoma", 6.75F);
            label21.ForeColor = System.Drawing.Color.Black;
            label21.Location = new System.Drawing.Point(75, 63);
            label21.Name = "label21";
            label21.Size = new System.Drawing.Size(9, 11);
            label21.TabIndex = 159;
            label21.Text = "2";
            label21.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label22
            // 
            label22.BackColor = System.Drawing.Color.Transparent;
            label22.Font = new System.Drawing.Font("Tahoma", 6.75F);
            label22.ForeColor = System.Drawing.Color.Black;
            label22.Location = new System.Drawing.Point(106, 63);
            label22.Name = "label22";
            label22.Size = new System.Drawing.Size(9, 11);
            label22.TabIndex = 160;
            label22.Text = "3";
            label22.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label23
            // 
            label23.BackColor = System.Drawing.Color.Transparent;
            label23.Font = new System.Drawing.Font("Tahoma", 6.75F);
            label23.ForeColor = System.Drawing.Color.Black;
            label23.Location = new System.Drawing.Point(137, 63);
            label23.Name = "label23";
            label23.Size = new System.Drawing.Size(9, 11);
            label23.TabIndex = 161;
            label23.Text = "4";
            label23.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label24
            // 
            label24.BackColor = System.Drawing.Color.Transparent;
            label24.Font = new System.Drawing.Font("Tahoma", 6.75F);
            label24.ForeColor = System.Drawing.Color.Black;
            label24.Location = new System.Drawing.Point(168, 63);
            label24.Name = "label24";
            label24.Size = new System.Drawing.Size(9, 11);
            label24.TabIndex = 161;
            label24.Text = "5";
            label24.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label25
            // 
            label25.BackColor = System.Drawing.Color.Transparent;
            label25.Font = new System.Drawing.Font("Tahoma", 6.75F);
            label25.ForeColor = System.Drawing.Color.Black;
            label25.Location = new System.Drawing.Point(199, 63);
            label25.Name = "label25";
            label25.Size = new System.Drawing.Size(9, 11);
            label25.TabIndex = 161;
            label25.Text = "6";
            label25.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label26
            // 
            label26.BackColor = System.Drawing.Color.Transparent;
            label26.Font = new System.Drawing.Font("Tahoma", 6.75F);
            label26.ForeColor = System.Drawing.Color.Black;
            label26.Location = new System.Drawing.Point(231, 63);
            label26.Name = "label26";
            label26.Size = new System.Drawing.Size(9, 11);
            label26.TabIndex = 161;
            label26.Text = "7";
            label26.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label27
            // 
            label27.BackColor = System.Drawing.Color.Transparent;
            label27.Font = new System.Drawing.Font("Tahoma", 6.75F);
            label27.ForeColor = System.Drawing.Color.Black;
            label27.Location = new System.Drawing.Point(261, 63);
            label27.Name = "label27";
            label27.Size = new System.Drawing.Size(9, 11);
            label27.TabIndex = 161;
            label27.Text = "8";
            label27.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label28
            // 
            label28.BackColor = System.Drawing.Color.Transparent;
            label28.Font = new System.Drawing.Font("Tahoma", 6.75F);
            label28.ForeColor = System.Drawing.Color.Black;
            label28.Location = new System.Drawing.Point(292, 63);
            label28.Name = "label28";
            label28.Size = new System.Drawing.Size(9, 11);
            label28.TabIndex = 161;
            label28.Text = "9";
            label28.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label29
            // 
            label29.BackColor = System.Drawing.Color.Transparent;
            label29.Font = new System.Drawing.Font("Tahoma", 6.75F);
            label29.ForeColor = System.Drawing.Color.Black;
            label29.Location = new System.Drawing.Point(320, 63);
            label29.Name = "label29";
            label29.Size = new System.Drawing.Size(15, 11);
            label29.TabIndex = 161;
            label29.Text = "10";
            label29.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label30
            // 
            label30.BackColor = System.Drawing.Color.Transparent;
            label30.Font = new System.Drawing.Font("Tahoma", 6.75F);
            label30.ForeColor = System.Drawing.Color.Black;
            label30.Location = new System.Drawing.Point(351, 63);
            label30.Name = "label30";
            label30.Size = new System.Drawing.Size(15, 11);
            label30.TabIndex = 161;
            label30.Text = "11";
            label30.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label31
            // 
            label31.BackColor = System.Drawing.Color.Transparent;
            label31.Font = new System.Drawing.Font("Tahoma", 6.75F);
            label31.ForeColor = System.Drawing.Color.Black;
            label31.Location = new System.Drawing.Point(380, 63);
            label31.Name = "label31";
            label31.Size = new System.Drawing.Size(23, 11);
            label31.TabIndex = 161;
            label31.Text = "Last";
            label31.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // GameTitleLabel
            // 
            this.GameTitleLabel.BackColor = System.Drawing.Color.Transparent;
            this.GameTitleLabel.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.GameTitleLabel.ForeColor = System.Drawing.Color.Black;
            this.GameTitleLabel.Location = new System.Drawing.Point(67, 6);
            this.GameTitleLabel.Name = "GameTitleLabel";
            this.GameTitleLabel.Size = new System.Drawing.Size(280, 16);
            this.GameTitleLabel.TabIndex = 14;
            this.GameTitleLabel.Text = "Loading Exchange HiLo game...";
            this.GameTitleLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // Card1
            // 
            this.Card1.BackColor = System.Drawing.Color.White;
            this.Card1.Image = ((System.Drawing.Image)(resources.GetObject("Card1.Image")));
            this.Card1.Location = new System.Drawing.Point(3, 27);
            this.Card1.Name = "Card1";
            this.Card1.Size = new System.Drawing.Size(30, 35);
            this.Card1.TabIndex = 82;
            this.Card1.TabStop = false;
            // 
            // Card2
            // 
            this.Card2.BackColor = System.Drawing.Color.White;
            this.Card2.Image = ((System.Drawing.Image)(resources.GetObject("Card2.Image")));
            this.Card2.Location = new System.Drawing.Point(34, 27);
            this.Card2.Name = "Card2";
            this.Card2.Size = new System.Drawing.Size(30, 35);
            this.Card2.TabIndex = 83;
            this.Card2.TabStop = false;
            // 
            // Card4
            // 
            this.Card4.BackColor = System.Drawing.Color.White;
            this.Card4.Image = ((System.Drawing.Image)(resources.GetObject("Card4.Image")));
            this.Card4.Location = new System.Drawing.Point(96, 27);
            this.Card4.Name = "Card4";
            this.Card4.Size = new System.Drawing.Size(30, 35);
            this.Card4.TabIndex = 85;
            this.Card4.TabStop = false;
            // 
            // Card3
            // 
            this.Card3.BackColor = System.Drawing.Color.White;
            this.Card3.Image = ((System.Drawing.Image)(resources.GetObject("Card3.Image")));
            this.Card3.Location = new System.Drawing.Point(65, 27);
            this.Card3.Name = "Card3";
            this.Card3.Size = new System.Drawing.Size(30, 35);
            this.Card3.TabIndex = 84;
            this.Card3.TabStop = false;
            // 
            // Card8
            // 
            this.Card8.BackColor = System.Drawing.Color.White;
            this.Card8.Image = ((System.Drawing.Image)(resources.GetObject("Card8.Image")));
            this.Card8.Location = new System.Drawing.Point(220, 27);
            this.Card8.Name = "Card8";
            this.Card8.Size = new System.Drawing.Size(30, 35);
            this.Card8.TabIndex = 89;
            this.Card8.TabStop = false;
            // 
            // Card7
            // 
            this.Card7.BackColor = System.Drawing.Color.White;
            this.Card7.Image = ((System.Drawing.Image)(resources.GetObject("Card7.Image")));
            this.Card7.Location = new System.Drawing.Point(189, 27);
            this.Card7.Name = "Card7";
            this.Card7.Size = new System.Drawing.Size(30, 35);
            this.Card7.TabIndex = 88;
            this.Card7.TabStop = false;
            // 
            // Card6
            // 
            this.Card6.BackColor = System.Drawing.Color.White;
            this.Card6.Image = ((System.Drawing.Image)(resources.GetObject("Card6.Image")));
            this.Card6.Location = new System.Drawing.Point(158, 27);
            this.Card6.Name = "Card6";
            this.Card6.Size = new System.Drawing.Size(30, 35);
            this.Card6.TabIndex = 87;
            this.Card6.TabStop = false;
            // 
            // Card5
            // 
            this.Card5.BackColor = System.Drawing.Color.White;
            this.Card5.Image = ((System.Drawing.Image)(resources.GetObject("Card5.Image")));
            this.Card5.Location = new System.Drawing.Point(127, 27);
            this.Card5.Name = "Card5";
            this.Card5.Size = new System.Drawing.Size(30, 35);
            this.Card5.TabIndex = 86;
            this.Card5.TabStop = false;
            // 
            // Card13
            // 
            this.Card13.BackColor = System.Drawing.Color.White;
            this.Card13.Image = ((System.Drawing.Image)(resources.GetObject("Card13.Image")));
            this.Card13.Location = new System.Drawing.Point(375, 27);
            this.Card13.Name = "Card13";
            this.Card13.Size = new System.Drawing.Size(30, 35);
            this.Card13.TabIndex = 94;
            this.Card13.TabStop = false;
            // 
            // Card12
            // 
            this.Card12.BackColor = System.Drawing.Color.White;
            this.Card12.Image = ((System.Drawing.Image)(resources.GetObject("Card12.Image")));
            this.Card12.Location = new System.Drawing.Point(344, 27);
            this.Card12.Name = "Card12";
            this.Card12.Size = new System.Drawing.Size(30, 35);
            this.Card12.TabIndex = 93;
            this.Card12.TabStop = false;
            // 
            // Card9
            // 
            this.Card9.BackColor = System.Drawing.Color.White;
            this.Card9.Image = ((System.Drawing.Image)(resources.GetObject("Card9.Image")));
            this.Card9.Location = new System.Drawing.Point(251, 27);
            this.Card9.Name = "Card9";
            this.Card9.Size = new System.Drawing.Size(30, 35);
            this.Card9.TabIndex = 95;
            this.Card9.TabStop = false;
            // 
            // Card10
            // 
            this.Card10.BackColor = System.Drawing.Color.White;
            this.Card10.Image = ((System.Drawing.Image)(resources.GetObject("Card10.Image")));
            this.Card10.Location = new System.Drawing.Point(282, 27);
            this.Card10.Name = "Card10";
            this.Card10.Size = new System.Drawing.Size(30, 35);
            this.Card10.TabIndex = 96;
            this.Card10.TabStop = false;
            // 
            // Card11
            // 
            this.Card11.BackColor = System.Drawing.Color.White;
            this.Card11.Image = ((System.Drawing.Image)(resources.GetObject("Card11.Image")));
            this.Card11.Location = new System.Drawing.Point(313, 27);
            this.Card11.Name = "Card11";
            this.Card11.Size = new System.Drawing.Size(30, 35);
            this.Card11.TabIndex = 97;
            this.Card11.TabStop = false;
            // 
            // label12
            // 
            this.label12.BackColor = System.Drawing.Color.Transparent;
            this.label12.Font = new System.Drawing.Font("Tahoma", 7F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label12.ForeColor = System.Drawing.Color.RoyalBlue;
            this.label12.Location = new System.Drawing.Point(214, 206);
            this.label12.Name = "label12";
            this.label12.Size = new System.Drawing.Size(96, 17);
            this.label12.TabIndex = 148;
            this.label12.Text = "2 Card Run";
            this.label12.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label13
            // 
            this.label13.BackColor = System.Drawing.Color.Transparent;
            this.label13.Font = new System.Drawing.Font("Tahoma", 7F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label13.ForeColor = System.Drawing.Color.RoyalBlue;
            this.label13.Location = new System.Drawing.Point(214, 241);
            this.label13.Name = "label13";
            this.label13.Size = new System.Drawing.Size(96, 18);
            this.label13.TabIndex = 149;
            this.label13.Text = "3 Card Run";
            this.label13.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label14
            // 
            this.label14.BackColor = System.Drawing.Color.Transparent;
            this.label14.Font = new System.Drawing.Font("Tahoma", 7F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label14.ForeColor = System.Drawing.Color.RoyalBlue;
            this.label14.Location = new System.Drawing.Point(214, 278);
            this.label14.Name = "label14";
            this.label14.Size = new System.Drawing.Size(97, 16);
            this.label14.TabIndex = 150;
            this.label14.Text = "4 Card Run";
            this.label14.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label15
            // 
            this.label15.BackColor = System.Drawing.Color.Transparent;
            this.label15.Font = new System.Drawing.Font("Tahoma", 7F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label15.ForeColor = System.Drawing.Color.RoyalBlue;
            this.label15.Location = new System.Drawing.Point(214, 313);
            this.label15.Name = "label15";
            this.label15.Size = new System.Drawing.Size(98, 18);
            this.label15.TabIndex = 152;
            this.label15.Text = "No Aces";
            this.label15.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // label16
            // 
            this.label16.BackColor = System.Drawing.Color.Transparent;
            this.label16.Font = new System.Drawing.Font("Tahoma", 7F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.label16.ForeColor = System.Drawing.Color.RoyalBlue;
            this.label16.Location = new System.Drawing.Point(214, 343);
            this.label16.Name = "label16";
            this.label16.Size = new System.Drawing.Size(99, 30);
            this.label16.TabIndex = 153;
            this.label16.Text = "No Pics";
            this.label16.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // SuspendedLabel
            // 
            this.SuspendedLabel.BackColor = System.Drawing.Color.LightPink;
            this.SuspendedLabel.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.SuspendedLabel.Font = new System.Drawing.Font("Tahoma", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.SuspendedLabel.ForeColor = System.Drawing.Color.Black;
            this.SuspendedLabel.Location = new System.Drawing.Point(148, 182);
            this.SuspendedLabel.Name = "SuspendedLabel";
            this.SuspendedLabel.Size = new System.Drawing.Size(130, 28);
            this.SuspendedLabel.TabIndex = 162;
            this.SuspendedLabel.Text = "Suspended...";
            this.SuspendedLabel.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // NoPicsBack
            // 
            this.NoPicsBack.Available = 0;
            this.NoPicsBack.Back = true;
            this.NoPicsBack.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("NoPicsBack.BackgroundImage")));
            this.NoPicsBack.Cursor = System.Windows.Forms.Cursors.Hand;
            this.NoPicsBack.Eliminated = false;
            this.NoPicsBack.ForeColor = System.Drawing.Color.Black;
            this.NoPicsBack.Location = new System.Drawing.Point(315, 340);
            this.NoPicsBack.MarketID = 0;
            this.NoPicsBack.Name = "NoPicsBack";
            this.NoPicsBack.Price = 0;
            this.NoPicsBack.Size = new System.Drawing.Size(48, 35);
            this.NoPicsBack.TabIndex = 136;
            this.NoPicsBack.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // NoPicsLay
            // 
            this.NoPicsLay.Available = 0;
            this.NoPicsLay.Back = false;
            this.NoPicsLay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("NoPicsLay.BackgroundImage")));
            this.NoPicsLay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.NoPicsLay.Eliminated = false;
            this.NoPicsLay.ForeColor = System.Drawing.Color.Black;
            this.NoPicsLay.Location = new System.Drawing.Point(363, 340);
            this.NoPicsLay.MarketID = 0;
            this.NoPicsLay.Name = "NoPicsLay";
            this.NoPicsLay.Price = 0;
            this.NoPicsLay.Size = new System.Drawing.Size(48, 35);
            this.NoPicsLay.TabIndex = 137;
            this.NoPicsLay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // NoAceBack
            // 
            this.NoAceBack.Available = 0;
            this.NoAceBack.Back = true;
            this.NoAceBack.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("NoAceBack.BackgroundImage")));
            this.NoAceBack.Cursor = System.Windows.Forms.Cursors.Hand;
            this.NoAceBack.Eliminated = false;
            this.NoAceBack.ForeColor = System.Drawing.Color.Black;
            this.NoAceBack.Location = new System.Drawing.Point(315, 304);
            this.NoAceBack.MarketID = 0;
            this.NoAceBack.Name = "NoAceBack";
            this.NoAceBack.Price = 0;
            this.NoAceBack.Size = new System.Drawing.Size(48, 35);
            this.NoAceBack.TabIndex = 134;
            this.NoAceBack.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // NoAcesLay
            // 
            this.NoAcesLay.Available = 0;
            this.NoAcesLay.Back = false;
            this.NoAcesLay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("NoAcesLay.BackgroundImage")));
            this.NoAcesLay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.NoAcesLay.Eliminated = false;
            this.NoAcesLay.ForeColor = System.Drawing.Color.Black;
            this.NoAcesLay.Location = new System.Drawing.Point(363, 304);
            this.NoAcesLay.MarketID = 0;
            this.NoAcesLay.Name = "NoAcesLay";
            this.NoAcesLay.Price = 0;
            this.NoAcesLay.Size = new System.Drawing.Size(48, 35);
            this.NoAcesLay.TabIndex = 135;
            this.NoAcesLay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // CardRun4Back
            // 
            this.CardRun4Back.Available = 0;
            this.CardRun4Back.Back = true;
            this.CardRun4Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("CardRun4Back.BackgroundImage")));
            this.CardRun4Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.CardRun4Back.Eliminated = false;
            this.CardRun4Back.ForeColor = System.Drawing.Color.Black;
            this.CardRun4Back.Location = new System.Drawing.Point(315, 268);
            this.CardRun4Back.MarketID = 0;
            this.CardRun4Back.Name = "CardRun4Back";
            this.CardRun4Back.Price = 0;
            this.CardRun4Back.Size = new System.Drawing.Size(48, 35);
            this.CardRun4Back.TabIndex = 132;
            this.CardRun4Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // CardRun4Lay
            // 
            this.CardRun4Lay.Available = 0;
            this.CardRun4Lay.Back = false;
            this.CardRun4Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("CardRun4Lay.BackgroundImage")));
            this.CardRun4Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.CardRun4Lay.Eliminated = false;
            this.CardRun4Lay.ForeColor = System.Drawing.Color.Black;
            this.CardRun4Lay.Location = new System.Drawing.Point(363, 268);
            this.CardRun4Lay.MarketID = 0;
            this.CardRun4Lay.Name = "CardRun4Lay";
            this.CardRun4Lay.Price = 0;
            this.CardRun4Lay.Size = new System.Drawing.Size(48, 35);
            this.CardRun4Lay.TabIndex = 151;
            this.CardRun4Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // CardRun3Back
            // 
            this.CardRun3Back.Available = 0;
            this.CardRun3Back.Back = true;
            this.CardRun3Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("CardRun3Back.BackgroundImage")));
            this.CardRun3Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.CardRun3Back.Eliminated = false;
            this.CardRun3Back.ForeColor = System.Drawing.Color.Black;
            this.CardRun3Back.Location = new System.Drawing.Point(315, 232);
            this.CardRun3Back.MarketID = 0;
            this.CardRun3Back.Name = "CardRun3Back";
            this.CardRun3Back.Price = 0;
            this.CardRun3Back.Size = new System.Drawing.Size(48, 35);
            this.CardRun3Back.TabIndex = 130;
            this.CardRun3Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // CardRun3Lay
            // 
            this.CardRun3Lay.Available = 0;
            this.CardRun3Lay.Back = false;
            this.CardRun3Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("CardRun3Lay.BackgroundImage")));
            this.CardRun3Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.CardRun3Lay.Eliminated = false;
            this.CardRun3Lay.ForeColor = System.Drawing.Color.Black;
            this.CardRun3Lay.Location = new System.Drawing.Point(363, 232);
            this.CardRun3Lay.MarketID = 0;
            this.CardRun3Lay.Name = "CardRun3Lay";
            this.CardRun3Lay.Price = 0;
            this.CardRun3Lay.Size = new System.Drawing.Size(48, 35);
            this.CardRun3Lay.TabIndex = 131;
            this.CardRun3Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // CardRun2Back
            // 
            this.CardRun2Back.Available = 0;
            this.CardRun2Back.Back = true;
            this.CardRun2Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("CardRun2Back.BackgroundImage")));
            this.CardRun2Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.CardRun2Back.Eliminated = false;
            this.CardRun2Back.ForeColor = System.Drawing.Color.Black;
            this.CardRun2Back.Location = new System.Drawing.Point(315, 196);
            this.CardRun2Back.MarketID = 0;
            this.CardRun2Back.Name = "CardRun2Back";
            this.CardRun2Back.Price = 0;
            this.CardRun2Back.Size = new System.Drawing.Size(48, 35);
            this.CardRun2Back.TabIndex = 128;
            this.CardRun2Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // CardRun2Lay
            // 
            this.CardRun2Lay.Available = 0;
            this.CardRun2Lay.Back = false;
            this.CardRun2Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("CardRun2Lay.BackgroundImage")));
            this.CardRun2Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.CardRun2Lay.Eliminated = false;
            this.CardRun2Lay.ForeColor = System.Drawing.Color.Black;
            this.CardRun2Lay.Location = new System.Drawing.Point(363, 196);
            this.CardRun2Lay.MarketID = 0;
            this.CardRun2Lay.Name = "CardRun2Lay";
            this.CardRun2Lay.Price = 0;
            this.CardRun2Lay.Size = new System.Drawing.Size(48, 35);
            this.CardRun2Lay.TabIndex = 154;
            this.CardRun2Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Card11Lay
            // 
            this.Card11Lay.Available = 0;
            this.Card11Lay.Back = false;
            this.Card11Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Card11Lay.BackgroundImage")));
            this.Card11Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Card11Lay.Eliminated = false;
            this.Card11Lay.ForeColor = System.Drawing.Color.Black;
            this.Card11Lay.Location = new System.Drawing.Point(363, 160);
            this.Card11Lay.MarketID = 0;
            this.Card11Lay.Name = "Card11Lay";
            this.Card11Lay.Price = 0;
            this.Card11Lay.Size = new System.Drawing.Size(48, 35);
            this.Card11Lay.TabIndex = 0;
            this.Card11Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Card11Back
            // 
            this.Card11Back.Available = 0;
            this.Card11Back.Back = true;
            this.Card11Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Card11Back.BackgroundImage")));
            this.Card11Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Card11Back.Eliminated = false;
            this.Card11Back.ForeColor = System.Drawing.Color.Black;
            this.Card11Back.Location = new System.Drawing.Point(315, 160);
            this.Card11Back.MarketID = 0;
            this.Card11Back.Name = "Card11Back";
            this.Card11Back.Price = 0;
            this.Card11Back.Size = new System.Drawing.Size(48, 35);
            this.Card11Back.TabIndex = 125;
            this.Card11Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Card10Lay
            // 
            this.Card10Lay.Available = 0;
            this.Card10Lay.Back = false;
            this.Card10Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Card10Lay.BackgroundImage")));
            this.Card10Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Card10Lay.Eliminated = false;
            this.Card10Lay.ForeColor = System.Drawing.Color.Black;
            this.Card10Lay.Location = new System.Drawing.Point(363, 124);
            this.Card10Lay.MarketID = 0;
            this.Card10Lay.Name = "Card10Lay";
            this.Card10Lay.Price = 0;
            this.Card10Lay.Size = new System.Drawing.Size(48, 35);
            this.Card10Lay.TabIndex = 124;
            this.Card10Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Card5Lay
            // 
            this.Card5Lay.Available = 0;
            this.Card5Lay.Back = false;
            this.Card5Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Card5Lay.BackgroundImage")));
            this.Card5Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Card5Lay.Eliminated = false;
            this.Card5Lay.ForeColor = System.Drawing.Color.Black;
            this.Card5Lay.Location = new System.Drawing.Point(142, 232);
            this.Card5Lay.MarketID = 0;
            this.Card5Lay.Name = "Card5Lay";
            this.Card5Lay.Price = 0;
            this.Card5Lay.Size = new System.Drawing.Size(48, 35);
            this.Card5Lay.TabIndex = 121;
            this.Card5Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Card6Lay
            // 
            this.Card6Lay.Available = 0;
            this.Card6Lay.Back = false;
            this.Card6Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Card6Lay.BackgroundImage")));
            this.Card6Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Card6Lay.Eliminated = false;
            this.Card6Lay.ForeColor = System.Drawing.Color.Black;
            this.Card6Lay.Location = new System.Drawing.Point(142, 268);
            this.Card6Lay.MarketID = 0;
            this.Card6Lay.Name = "Card6Lay";
            this.Card6Lay.Price = 0;
            this.Card6Lay.Size = new System.Drawing.Size(48, 35);
            this.Card6Lay.TabIndex = 120;
            this.Card6Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Card7Lay
            // 
            this.Card7Lay.Available = 0;
            this.Card7Lay.Back = false;
            this.Card7Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Card7Lay.BackgroundImage")));
            this.Card7Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Card7Lay.Eliminated = false;
            this.Card7Lay.ForeColor = System.Drawing.Color.Black;
            this.Card7Lay.Location = new System.Drawing.Point(142, 304);
            this.Card7Lay.MarketID = 0;
            this.Card7Lay.Name = "Card7Lay";
            this.Card7Lay.Price = 0;
            this.Card7Lay.Size = new System.Drawing.Size(48, 35);
            this.Card7Lay.TabIndex = 119;
            this.Card7Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Card2Lay
            // 
            this.Card2Lay.Available = 0;
            this.Card2Lay.Back = false;
            this.Card2Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Card2Lay.BackgroundImage")));
            this.Card2Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Card2Lay.Eliminated = false;
            this.Card2Lay.ForeColor = System.Drawing.Color.Black;
            this.Card2Lay.Location = new System.Drawing.Point(142, 124);
            this.Card2Lay.MarketID = 0;
            this.Card2Lay.Name = "Card2Lay";
            this.Card2Lay.Price = 0;
            this.Card2Lay.Size = new System.Drawing.Size(48, 35);
            this.Card2Lay.TabIndex = 118;
            this.Card2Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Card10Back
            // 
            this.Card10Back.Available = 0;
            this.Card10Back.Back = true;
            this.Card10Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Card10Back.BackgroundImage")));
            this.Card10Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Card10Back.Eliminated = false;
            this.Card10Back.ForeColor = System.Drawing.Color.Black;
            this.Card10Back.Location = new System.Drawing.Point(315, 124);
            this.Card10Back.MarketID = 0;
            this.Card10Back.Name = "Card10Back";
            this.Card10Back.Price = 0;
            this.Card10Back.Size = new System.Drawing.Size(48, 35);
            this.Card10Back.TabIndex = 117;
            this.Card10Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Card8Back
            // 
            this.Card8Back.Available = 0;
            this.Card8Back.Back = true;
            this.Card8Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Card8Back.BackgroundImage")));
            this.Card8Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Card8Back.Eliminated = false;
            this.Card8Back.ForeColor = System.Drawing.Color.Black;
            this.Card8Back.Location = new System.Drawing.Point(94, 340);
            this.Card8Back.MarketID = 0;
            this.Card8Back.Name = "Card8Back";
            this.Card8Back.Price = 0;
            this.Card8Back.Size = new System.Drawing.Size(48, 35);
            this.Card8Back.TabIndex = 116;
            this.Card8Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Card6Back
            // 
            this.Card6Back.Available = 0;
            this.Card6Back.Back = true;
            this.Card6Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Card6Back.BackgroundImage")));
            this.Card6Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Card6Back.Eliminated = false;
            this.Card6Back.ForeColor = System.Drawing.Color.Black;
            this.Card6Back.Location = new System.Drawing.Point(94, 268);
            this.Card6Back.MarketID = 0;
            this.Card6Back.Name = "Card6Back";
            this.Card6Back.Price = 0;
            this.Card6Back.Size = new System.Drawing.Size(48, 35);
            this.Card6Back.TabIndex = 115;
            this.Card6Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Card5Back
            // 
            this.Card5Back.Available = 0;
            this.Card5Back.Back = true;
            this.Card5Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Card5Back.BackgroundImage")));
            this.Card5Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Card5Back.Eliminated = false;
            this.Card5Back.ForeColor = System.Drawing.Color.Black;
            this.Card5Back.Location = new System.Drawing.Point(94, 232);
            this.Card5Back.MarketID = 0;
            this.Card5Back.Name = "Card5Back";
            this.Card5Back.Price = 0;
            this.Card5Back.Size = new System.Drawing.Size(48, 35);
            this.Card5Back.TabIndex = 114;
            this.Card5Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Card9Back
            // 
            this.Card9Back.Available = 0;
            this.Card9Back.Back = true;
            this.Card9Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Card9Back.BackgroundImage")));
            this.Card9Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Card9Back.Eliminated = false;
            this.Card9Back.ForeColor = System.Drawing.Color.Black;
            this.Card9Back.Location = new System.Drawing.Point(315, 88);
            this.Card9Back.MarketID = 0;
            this.Card9Back.Name = "Card9Back";
            this.Card9Back.Price = 0;
            this.Card9Back.Size = new System.Drawing.Size(48, 35);
            this.Card9Back.TabIndex = 113;
            this.Card9Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Card3Back
            // 
            this.Card3Back.Available = 0;
            this.Card3Back.Back = true;
            this.Card3Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Card3Back.BackgroundImage")));
            this.Card3Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Card3Back.Eliminated = false;
            this.Card3Back.ForeColor = System.Drawing.Color.Black;
            this.Card3Back.Location = new System.Drawing.Point(94, 160);
            this.Card3Back.MarketID = 0;
            this.Card3Back.Name = "Card3Back";
            this.Card3Back.Price = 0;
            this.Card3Back.Size = new System.Drawing.Size(48, 35);
            this.Card3Back.TabIndex = 112;
            this.Card3Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Card2Back
            // 
            this.Card2Back.Available = 0;
            this.Card2Back.Back = true;
            this.Card2Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Card2Back.BackgroundImage")));
            this.Card2Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Card2Back.Eliminated = false;
            this.Card2Back.ForeColor = System.Drawing.Color.Black;
            this.Card2Back.Location = new System.Drawing.Point(94, 124);
            this.Card2Back.MarketID = 0;
            this.Card2Back.Name = "Card2Back";
            this.Card2Back.Price = 0;
            this.Card2Back.Size = new System.Drawing.Size(48, 35);
            this.Card2Back.TabIndex = 111;
            this.Card2Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Card1Lay
            // 
            this.Card1Lay.Available = 0;
            this.Card1Lay.Back = false;
            this.Card1Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Card1Lay.BackgroundImage")));
            this.Card1Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Card1Lay.Eliminated = false;
            this.Card1Lay.ForeColor = System.Drawing.Color.Black;
            this.Card1Lay.Location = new System.Drawing.Point(142, 88);
            this.Card1Lay.MarketID = 0;
            this.Card1Lay.Name = "Card1Lay";
            this.Card1Lay.Price = 0;
            this.Card1Lay.Size = new System.Drawing.Size(48, 35);
            this.Card1Lay.TabIndex = 110;
            this.Card1Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Card1Back
            // 
            this.Card1Back.Available = 0;
            this.Card1Back.Back = true;
            this.Card1Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Card1Back.BackgroundImage")));
            this.Card1Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Card1Back.Eliminated = false;
            this.Card1Back.ForeColor = System.Drawing.Color.Black;
            this.Card1Back.Location = new System.Drawing.Point(94, 88);
            this.Card1Back.MarketID = 0;
            this.Card1Back.Name = "Card1Back";
            this.Card1Back.Price = 0;
            this.Card1Back.Size = new System.Drawing.Size(48, 35);
            this.Card1Back.TabIndex = 109;
            this.Card1Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Card4Back
            // 
            this.Card4Back.Available = 0;
            this.Card4Back.Back = true;
            this.Card4Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Card4Back.BackgroundImage")));
            this.Card4Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Card4Back.Eliminated = false;
            this.Card4Back.ForeColor = System.Drawing.Color.Black;
            this.Card4Back.Location = new System.Drawing.Point(94, 196);
            this.Card4Back.MarketID = 0;
            this.Card4Back.Name = "Card4Back";
            this.Card4Back.Price = 0;
            this.Card4Back.Size = new System.Drawing.Size(48, 35);
            this.Card4Back.TabIndex = 113;
            this.Card4Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Card7Back
            // 
            this.Card7Back.Available = 0;
            this.Card7Back.Back = true;
            this.Card7Back.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Card7Back.BackgroundImage")));
            this.Card7Back.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Card7Back.Eliminated = false;
            this.Card7Back.ForeColor = System.Drawing.Color.Black;
            this.Card7Back.Location = new System.Drawing.Point(94, 304);
            this.Card7Back.MarketID = 0;
            this.Card7Back.Name = "Card7Back";
            this.Card7Back.Price = 0;
            this.Card7Back.Size = new System.Drawing.Size(48, 35);
            this.Card7Back.TabIndex = 116;
            this.Card7Back.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Card3Lay
            // 
            this.Card3Lay.Available = 0;
            this.Card3Lay.Back = false;
            this.Card3Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Card3Lay.BackgroundImage")));
            this.Card3Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Card3Lay.Eliminated = false;
            this.Card3Lay.ForeColor = System.Drawing.Color.Black;
            this.Card3Lay.Location = new System.Drawing.Point(142, 160);
            this.Card3Lay.MarketID = 0;
            this.Card3Lay.Name = "Card3Lay";
            this.Card3Lay.Price = 0;
            this.Card3Lay.Size = new System.Drawing.Size(48, 35);
            this.Card3Lay.TabIndex = 119;
            this.Card3Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Card4Lay
            // 
            this.Card4Lay.Available = 0;
            this.Card4Lay.Back = false;
            this.Card4Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Card4Lay.BackgroundImage")));
            this.Card4Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Card4Lay.Eliminated = false;
            this.Card4Lay.ForeColor = System.Drawing.Color.Black;
            this.Card4Lay.Location = new System.Drawing.Point(142, 196);
            this.Card4Lay.MarketID = 0;
            this.Card4Lay.Name = "Card4Lay";
            this.Card4Lay.Price = 0;
            this.Card4Lay.Size = new System.Drawing.Size(48, 35);
            this.Card4Lay.TabIndex = 120;
            this.Card4Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Card8Lay
            // 
            this.Card8Lay.Available = 0;
            this.Card8Lay.Back = false;
            this.Card8Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Card8Lay.BackgroundImage")));
            this.Card8Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Card8Lay.Eliminated = false;
            this.Card8Lay.ForeColor = System.Drawing.Color.Black;
            this.Card8Lay.Location = new System.Drawing.Point(142, 340);
            this.Card8Lay.MarketID = 0;
            this.Card8Lay.Name = "Card8Lay";
            this.Card8Lay.Price = 0;
            this.Card8Lay.Size = new System.Drawing.Size(48, 35);
            this.Card8Lay.TabIndex = 122;
            this.Card8Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // Card9Lay
            // 
            this.Card9Lay.Available = 0;
            this.Card9Lay.Back = false;
            this.Card9Lay.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("Card9Lay.BackgroundImage")));
            this.Card9Lay.Cursor = System.Windows.Forms.Cursors.Hand;
            this.Card9Lay.Eliminated = false;
            this.Card9Lay.ForeColor = System.Drawing.Color.Black;
            this.Card9Lay.Location = new System.Drawing.Point(363, 88);
            this.Card9Lay.MarketID = 0;
            this.Card9Lay.Name = "Card9Lay";
            this.Card9Lay.Price = 0;
            this.Card9Lay.Size = new System.Drawing.Size(48, 35);
            this.Card9Lay.TabIndex = 123;
            this.Card9Lay.Click += new System.EventHandler(this.SelectionClicked);
            // 
            // ProgressGrey
            // 
            this.ProgressGrey.Image = ((System.Drawing.Image)(resources.GetObject("ProgressGrey.Image")));
            this.ProgressGrey.Location = new System.Drawing.Point(409, 11);
            this.ProgressGrey.Name = "ProgressGrey";
            this.ProgressGrey.Size = new System.Drawing.Size(7, 0);
            this.ProgressGrey.TabIndex = 164;
            this.ProgressGrey.TabStop = false;
            // 
            // ProgressBar
            // 
            this.ProgressBar.Image = ((System.Drawing.Image)(resources.GetObject("ProgressBar.Image")));
            this.ProgressBar.Location = new System.Drawing.Point(409, 11);
            this.ProgressBar.Name = "ProgressBar";
            this.ProgressBar.Size = new System.Drawing.Size(7, 63);
            this.ProgressBar.TabIndex = 163;
            this.ProgressBar.TabStop = false;
            // 
            // HiLoView
            // 
            this.AutoScroll = true;
            this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
            this.Controls.Add(this.ProgressGrey);
            this.Controls.Add(this.ProgressBar);
            this.Controls.Add(this.SuspendedLabel);
            this.Controls.Add(label31);
            this.Controls.Add(label30);
            this.Controls.Add(label29);
            this.Controls.Add(label28);
            this.Controls.Add(label27);
            this.Controls.Add(label26);
            this.Controls.Add(label25);
            this.Controls.Add(label24);
            this.Controls.Add(label23);
            this.Controls.Add(label22);
            this.Controls.Add(label21);
            this.Controls.Add(label20);
            this.Controls.Add(label19);
            this.Controls.Add(label18);
            this.Controls.Add(label17);
            this.Controls.Add(this.label16);
            this.Controls.Add(this.label15);
            this.Controls.Add(this.label14);
            this.Controls.Add(this.label13);
            this.Controls.Add(this.label12);
            this.Controls.Add(label8);
            this.Controls.Add(label7);
            this.Controls.Add(label6);
            this.Controls.Add(label5);
            this.Controls.Add(label4);
            this.Controls.Add(label3);
            this.Controls.Add(label2);
            this.Controls.Add(label1);
            this.Controls.Add(this.NoPicsBack);
            this.Controls.Add(this.NoPicsLay);
            this.Controls.Add(this.NoAceBack);
            this.Controls.Add(this.NoAcesLay);
            this.Controls.Add(this.CardRun4Back);
            this.Controls.Add(this.CardRun4Lay);
            this.Controls.Add(this.CardRun3Back);
            this.Controls.Add(this.CardRun3Lay);
            this.Controls.Add(this.CardRun2Back);
            this.Controls.Add(this.CardRun2Lay);
            this.Controls.Add(this.Card11Lay);
            this.Controls.Add(this.Card11Back);
            this.Controls.Add(this.Card10Lay);
            this.Controls.Add(this.Card5Lay);
            this.Controls.Add(this.Card6Lay);
            this.Controls.Add(this.Card7Lay);
            this.Controls.Add(this.Card2Lay);
            this.Controls.Add(this.Card10Back);
            this.Controls.Add(this.Card8Back);
            this.Controls.Add(this.Card6Back);
            this.Controls.Add(this.Card5Back);
            this.Controls.Add(this.Card9Back);
            this.Controls.Add(this.Card3Back);
            this.Controls.Add(this.Card2Back);
            this.Controls.Add(this.Card1Lay);
            this.Controls.Add(this.Card1Back);
            this.Controls.Add(label10);
            this.Controls.Add(this.Card11);
            this.Controls.Add(this.Card10);
            this.Controls.Add(this.Card9);
            this.Controls.Add(this.Card13);
            this.Controls.Add(this.Card12);
            this.Controls.Add(this.Card8);
            this.Controls.Add(this.Card7);
            this.Controls.Add(this.Card6);
            this.Controls.Add(this.Card5);
            this.Controls.Add(this.Card4);
            this.Controls.Add(this.Card3);
            this.Controls.Add(this.Card2);
            this.Controls.Add(this.Card1);
            this.Controls.Add(this.GameTitleLabel);
            this.Controls.Add(this.Card4Back);
            this.Controls.Add(this.Card7Back);
            this.Controls.Add(this.Card3Lay);
            this.Controls.Add(this.Card4Lay);
            this.Controls.Add(this.Card8Lay);
            this.Controls.Add(this.Card9Lay);
            this.Location = new System.Drawing.Point(-1, 40);
            this.Name = "HiLoView";
            this.Size = new System.Drawing.Size(427, 389);
            this.Click += new System.EventHandler(this.SelectionClicked);
            ((System.ComponentModel.ISupportInitialize)(this.Card1)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card2)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card4)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card3)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card8)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card7)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card6)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card5)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card13)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card12)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card9)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card10)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.Card11)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.ProgressGrey)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.ProgressBar)).EndInit();
            this.ResumeLayout(false);

        }
        #endregion

        public channelSnapshot CurrentChannelSnapshot
        {
            get
            {
                return channelSnapshot;
            }
            set
            {
                channelSnapshot = value;
                _UpdateDisplay();
            }
        }

        private void _UpdateDisplay() 
		{
            // make things easier
            gameData = channelSnapshot.channel.game.gameData;
            market = channelSnapshot.channel.game.markets.market[0];
            secondaryMarket = channelSnapshot.channel.game.markets.market[1];

            if (market.selections.selection == null)
            {
                return;
            }

            card1OrFurther = market.selections.selection[0];
            card2OrFurther = market.selections.selection[1];
            card3OrFurther = market.selections.selection[2];
            card4OrFurther = market.selections.selection[3];
            card5OrFurther = market.selections.selection[4];
            card6OrFurther = market.selections.selection[5];
            card7OrFurther = market.selections.selection[6];
            card8OrFurther = market.selections.selection[7];
            card9OrFurther = market.selections.selection[8];
            card10OrFurther = market.selections.selection[9];
            card11 = market.selections.selection[10];

            cardRun2 = secondaryMarket.selections.selection[0];
            cardRun3 = secondaryMarket.selections.selection[1];
            cardRun4 = secondaryMarket.selections.selection[2];
            noAce = secondaryMarket.selections.selection[3];
            noPics = secondaryMarket.selections.selection[4];

            // only do some painting once
            if (roundId != channelSnapshot.channel.game.round)
            {
                _PaintGameInfoOnce();
                _PaintCardsOnce();
                _PaintMarketDataOnce();
            }

            if (channelSnapshot.channel.game.markets.market[0].status == marketStatusEnum.ACTIVE)
            {
                roundId = channelSnapshot.channel.game.round;
            }

            UpdateProgressBar(channelSnapshot, ProgressGrey, ProgressBar);
            _PaintMarketData();
        }

        private void _PaintGameInfoOnce()
        {
            GameTitleLabel.Text = channelSnapshot.channel.name;
        }

        private void _PaintCardsOnce()
        {
            Image cardBack = GetCardResourceImage(null, false);

            if (gameData[0].property == null || gameData[0].property.Length == 0)
            {
                Card1.Image = cardBack;
                Card2.Image = cardBack;
                Card3.Image = cardBack;
                Card4.Image = cardBack;
                Card5.Image = cardBack;
                Card6.Image = cardBack;
                Card7.Image = cardBack;
                Card8.Image = cardBack;
                Card9.Image = cardBack;
                Card10.Image = cardBack;
                Card11.Image = cardBack;
                Card12.Image = cardBack;
                Card13.Image = cardBack;
                return;
            }

            if (gameData[0].property.Length > 0)
            {
                Card1.Image = GetCardResourceImage(gameData[0].property[0].value, false);
            }
            if (gameData[0].property.Length > 1)
            {
                Card2.Image = GetCardResourceImage(gameData[0].property[1].value, false);
            }
            if (gameData[0].property.Length > 2)
            {
                Card3.Image = GetCardResourceImage(gameData[0].property[2].value, false);
            }
            if (gameData[0].property.Length > 3)
            {
                Card4.Image = GetCardResourceImage(gameData[0].property[3].value, false);
            }
            if (gameData[0].property.Length > 4)
            {
                Card5.Image = GetCardResourceImage(gameData[0].property[4].value, false);
            }
            if (gameData[0].property.Length > 5)
            {
                Card6.Image = GetCardResourceImage(gameData[0].property[5].value, false);
            }
            if (gameData[0].property.Length > 6)
            {
                Card7.Image = GetCardResourceImage(gameData[0].property[6].value, false);
            }
            if (gameData[0].property.Length > 7)
            {
                Card8.Image = GetCardResourceImage(gameData[0].property[7].value, false);
            }
            if (gameData[0].property.Length > 8)
            {
                Card9.Image = GetCardResourceImage(gameData[0].property[8].value, false);
            }
            if (gameData[0].property.Length > 9)
            {
                Card10.Image = GetCardResourceImage(gameData[0].property[9].value, false);
            }
            if (gameData[0].property.Length > 10)
            {
                Card11.Image = GetCardResourceImage(gameData[0].property[10].value, false);
            }
            if (gameData[0].property.Length > 11)
            {
                Card12.Image = GetCardResourceImage(gameData[0].property[11].value, false);
            }
            if (gameData[0].property.Length > 12)
            {
                Card13.Image = GetCardResourceImage(gameData[0].property[12].value, false);
            }
        }

        private void _PaintMarketDataOnce()
        {
            _SetPlayerStatus(card1OrFurther.status, Card1Back, Card1Lay);
            _SetPlayerStatus(card2OrFurther.status, Card2Back, Card2Lay);
            _SetPlayerStatus(card3OrFurther.status, Card3Back, Card3Lay);
            _SetPlayerStatus(card4OrFurther.status, Card4Back, Card4Lay);
            _SetPlayerStatus(card5OrFurther.status, Card5Back, Card5Lay);
            _SetPlayerStatus(card6OrFurther.status, Card6Back, Card6Lay);
            _SetPlayerStatus(card7OrFurther.status, Card7Back, Card7Lay);
            _SetPlayerStatus(card8OrFurther.status, Card8Back, Card8Lay);
            _SetPlayerStatus(card9OrFurther.status, Card9Back, Card9Lay);
            _SetPlayerStatus(card10OrFurther.status, Card10Back, Card10Lay);
            _SetPlayerStatus(card11.status, Card11Back, Card11Lay);

            _SetPlayerStatus(cardRun2.status, CardRun2Back, CardRun2Lay);
            _SetPlayerStatus(cardRun3.status, CardRun3Back, CardRun3Lay);
            _SetPlayerStatus(cardRun4.status, CardRun4Back, CardRun4Lay);
            _SetPlayerStatus(noAce.status, NoAceBack, NoAcesLay);
            _SetPlayerStatus(noPics.status, NoPicsBack, NoPicsLay);
        }

        private void _SetPlayerStatus(selectionStatusEnum status, IOddsPanel backOddsPanel, IOddsPanel layOddsPanel)
        {
            switch (status)
            {
                case selectionStatusEnum.WINNER:
                case selectionStatusEnum.LOSER:
                    {
                        backOddsPanel.Eliminated = true;
                        layOddsPanel.Eliminated = true;
                        break;
                    }
                default:
                    {
                        backOddsPanel.Eliminated = false;
                        layOddsPanel.Eliminated = false;
                        break;
                    }
            }
        }

        private void _PaintMarketData()
        {
            // Check if the market is active.  If not then we need to clear all the bets
            if (market.status != marketStatusEnum.ACTIVE)
            {
                _ToggleBetLayPanels(false);
                ClearBets();

                if (SuspendedLabel.Visible == false)
                {
                    SuspendedLabel.Show();
                }
            }
            else
            {
                if (SuspendedLabel.Visible == true)
                {
                    SuspendedLabel.Hide();
                }

                _ToggleBetLayPanels(true);

                SetOddsPanel(Card1Back, market.id, card1OrFurther);
                SetOddsPanel(Card1Lay, market.id, card1OrFurther);
                SetOddsPanel(Card2Back, market.id, card2OrFurther);
                SetOddsPanel(Card2Lay, market.id, card2OrFurther);
                SetOddsPanel(Card3Back, market.id, card3OrFurther);
                SetOddsPanel(Card3Lay, market.id, card3OrFurther);
                SetOddsPanel(Card4Back, market.id, card4OrFurther);
                SetOddsPanel(Card4Lay, market.id, card4OrFurther);
                SetOddsPanel(Card5Back, market.id, card5OrFurther);
                SetOddsPanel(Card5Lay, market.id, card5OrFurther);
                SetOddsPanel(Card6Back, market.id, card6OrFurther);
                SetOddsPanel(Card6Lay, market.id, card6OrFurther);
                SetOddsPanel(Card7Back, market.id, card7OrFurther);
                SetOddsPanel(Card7Lay, market.id, card7OrFurther);
                SetOddsPanel(Card8Back, market.id, card8OrFurther);
                SetOddsPanel(Card8Lay, market.id, card8OrFurther);
                SetOddsPanel(Card9Back, market.id, card9OrFurther);
                SetOddsPanel(Card9Lay, market.id, card9OrFurther);
                SetOddsPanel(Card10Back, market.id, card10OrFurther);
                SetOddsPanel(Card10Lay, market.id, card10OrFurther);
                SetOddsPanel(Card11Back, market.id, card11);
                SetOddsPanel(Card11Lay, market.id, card11);

                SetOddsPanel(CardRun2Back, secondaryMarket.id, cardRun2);
                SetOddsPanel(CardRun2Lay, secondaryMarket.id, cardRun2);
                SetOddsPanel(CardRun3Back, secondaryMarket.id, cardRun3);
                SetOddsPanel(CardRun3Lay, secondaryMarket.id, cardRun3);
                SetOddsPanel(CardRun4Back, secondaryMarket.id, cardRun4);
                SetOddsPanel(CardRun4Lay, secondaryMarket.id, cardRun4);
                SetOddsPanel(NoAceBack, secondaryMarket.id, noAce);
                SetOddsPanel(NoAcesLay, secondaryMarket.id, noAce);
                SetOddsPanel(NoPicsBack, secondaryMarket.id, noPics);
                SetOddsPanel(NoPicsLay, secondaryMarket.id, noPics);
            }
        }

		private void _ToggleBetLayPanels(bool enabled)
		{
            if (enabled == false)
            {
                Card1Back.Clear();
                Card1Lay.Clear();
                Card2Back.Clear();
                Card2Lay.Clear();
                Card3Back.Clear();
                Card3Lay.Clear();
                Card4Back.Clear();
                Card4Lay.Clear();
                Card5Back.Clear();
                Card5Lay.Clear();
                Card6Back.Clear();
                Card6Lay.Clear();
                Card7Back.Clear();
                Card7Lay.Clear();
                Card8Back.Clear();
                Card8Lay.Clear();
                Card9Back.Clear();
                Card9Lay.Clear();
                Card10Back.Clear();
                Card10Lay.Clear();
                Card11Back.Clear();
                Card11Lay.Clear();
                CardRun2Back.Clear();
                CardRun2Lay.Clear();
                CardRun3Back.Clear();
                CardRun3Lay.Clear();
                CardRun4Back.Clear();
                CardRun4Lay.Clear();
                NoAceBack.Clear();
                NoAcesLay.Clear();
                NoPicsBack.Clear();
                NoPicsLay.Clear();
            }

			Card1Back.Enabled = enabled;
			Card1Lay.Enabled = enabled;
			Card2Back.Enabled = enabled;
			Card2Lay.Enabled = enabled;
			Card3Back.Enabled = enabled;
			Card3Lay.Enabled = enabled;
			Card4Back.Enabled = enabled;
			Card4Lay.Enabled = enabled;
			Card5Back.Enabled = enabled;
			Card5Lay.Enabled = enabled;
			Card6Back.Enabled = enabled;
			Card6Lay.Enabled = enabled;
			Card7Back.Enabled = enabled;
			Card7Lay.Enabled = enabled;
			Card8Back.Enabled = enabled;
			Card8Lay.Enabled = enabled;
			Card9Back.Enabled = enabled;
			Card9Lay.Enabled = enabled;
			Card10Back.Enabled = enabled;
			Card10Lay.Enabled = enabled;
			Card11Back.Enabled = enabled;
			Card11Lay.Enabled = enabled;
			CardRun2Back.Enabled = enabled;
			CardRun2Lay.Enabled = enabled;
			CardRun3Back.Enabled = enabled;
			CardRun3Lay.Enabled = enabled;
			CardRun4Back.Enabled = enabled;
			CardRun4Lay.Enabled = enabled;
			NoAceBack.Enabled = enabled;
			NoAcesLay.Enabled = enabled;
			NoPicsBack.Enabled = enabled;
			NoPicsLay.Enabled = enabled;
		}

        private void SelectionClicked(object sender, System.EventArgs e)
        {
            SelectionClicked(ShowBetPlacement, sender, channelSnapshot, m_Parent.Account);
        }

        private void OnClearBets()
		{
			if (ClearBets != null)
			{
				ClearBets();
			}
		}
	}
}
